CREATE OR REPLACE VIEW EKONO_CONSOLIDADO.WMS_V_ZUNIFY_AUX_CONT
AS
   SELECT   'EKONO_ALAJUELA1' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_alajuela1.zun_zunify_transaction z
            INNER JOIN
               ekono_alajuela1.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_ALAJUELA2' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_alajuela2.zun_zunify_transaction z
            INNER JOIN
               ekono_alajuela2.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_ALAJUELA3' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_alajuela3.zun_zunify_transaction z
            INNER JOIN
               ekono_alajuela3.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_ALAJUELA_CITY' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_alajuela_city.zun_zunify_transaction z
            INNER JOIN
               ekono_alajuela_city.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_AVENIDA4' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_avenida4.zun_zunify_transaction z
            INNER JOIN
               ekono_avenida4.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_BAMBU' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_bambu.zun_zunify_transaction z
            INNER JOIN
               ekono_bambu.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_CANAS' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_canas.zun_zunify_transaction z
            INNER JOIN
               ekono_canas.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_CARIARI' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_cariari.zun_zunify_transaction z
            INNER JOIN
               ekono_cariari.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_CITY_PLAZA' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_city_plaza.zun_zunify_transaction z
            INNER JOIN
               ekono_city_plaza.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_DESAMPARADOS' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_desamparados.zun_zunify_transaction z
            INNER JOIN
               ekono_desamparados.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_ECOMMERCE' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_ecommerce.zun_zunify_transaction z 
            INNER JOIN
               ekono_ecommerce.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_ESTRUCTURAS' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_estructuras.zun_zunify_transaction z 
            INNER JOIN
               ekono_estructuras.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_GRECIA' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_grecia.zun_zunify_transaction z 
            INNER JOIN
               ekono_grecia.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_GUAPILES' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_guapilesg.zun_zunify_transaction z 
            INNER JOIN
               ekono_guapilesg.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_HEREDIAG' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_herediag.zun_zunify_transaction z 
            INNER JOIN
               ekono_herediag.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_HEREDIAP' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_herediap.zun_zunify_transaction z 
            INNER JOIN
               ekono_herediap.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_JACO' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_jaco.zun_zunify_transaction z 
            INNER JOIN
               ekono_jaco.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_LIBERIA' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_liberia.zun_zunify_transaction z 
            INNER JOIN
               ekono_liberia.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_LIMA' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_lima.zun_zunify_transaction z 
            INNER JOIN
               ekono_lima.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_LIMON' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_limon.zun_zunify_transaction z 
            INNER JOIN
               ekono_limon.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_MALL' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_mall.zun_zunify_transaction z 
            INNER JOIN
               ekono_mall.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_METROPOLI' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_metropoli.zun_zunify_transaction z 
            INNER JOIN
               ekono_metropoli.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_NICOYA' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_nicoya.zun_zunify_transaction z 
            INNER JOIN
               ekono_nicoya.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_NAILBAR SUR' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_nailbarsur.zun_zunify_transaction z 
            INNER JOIN
               ekono_nailbarsur.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_NAILBAR Plaza America' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_nailbarpa.zun_zunify_transaction z 
            INNER JOIN
               ekono_nailbarpa.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_NAILBAR City Plaza' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_nailbarjaco.zun_zunify_transaction z 
            INNER JOIN
               ekono_nailbarjaco.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_OXIGENO' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_oxigeno.zun_zunify_transaction z 
            INNER JOIN
               ekono_oxigeno.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_PARAISO' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_paraiso.zun_zunify_transaction z 
            INNER JOIN
               ekono_paraiso.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_PAVAS' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_pavas.zun_zunify_transaction z 
            INNER JOIN
               ekono_pavas.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_PEREZ' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_perez_nueva.zun_zunify_transaction z 
            INNER JOIN
               ekono_perez_nueva.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_PLAZA_AMERICA' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_plaza_america.zun_zunify_transaction z 
            INNER JOIN
               ekono_plaza_america.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_PLAZA_CULTURA' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_plaza_cultura.zun_zunify_transaction z 
            INNER JOIN
               ekono_plaza_cultura.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_PLAZA_CULTURA2' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_plaza_cultura2.zun_zunify_transaction z 
            INNER JOIN
               ekono_plaza_cultura2.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_PUNTARENAS' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_puntarenas.zun_zunify_transaction z 
            INNER JOIN
               ekono_puntarenas.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_ROBLE' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_roble.zun_zunify_transaction z 
            INNER JOIN
               ekono_roble.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_SACSA' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_sacsa.zun_zunify_transaction z 
            INNER JOIN
               ekono_sacsa.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_SANTA_ANA' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_santa_ana.zun_zunify_transaction z 
            INNER JOIN
               ekono_santa_ana.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_SANTA_CRUZ' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_santa_cruz.zun_zunify_transaction z 
            INNER JOIN
               ekono_santa_cruz.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_SAN_ANTONIO' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_san_antonio.zun_zunify_transaction z 
            INNER JOIN
               ekono_san_antonio.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_SAN_CARLOS' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_san_carlos.zun_zunify_transaction z 
            INNER JOIN
               ekono_san_carlos.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_SAN_JOSE' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_san_jose.zun_zunify_transaction z 
            INNER JOIN
               ekono_san_jose.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_SAN_RAMON' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_san_ramon.zun_zunify_transaction z 
            INNER JOIN
               ekono_san_ramon.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_SR2' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_sr2.zun_zunify_transaction z 
            INNER JOIN
               ekono_sr2.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_TIBAS' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_tibas.zun_zunify_transaction z 
            INNER JOIN
               ekono_tibas.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_TURRIALBA' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_turrialba.zun_zunify_transaction z 
            INNER JOIN
               ekono_turrialba.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_UPALA' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_upala.zun_zunify_transaction z 
            INNER JOIN
               ekono_upala.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_VENTAS_INST' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_ventas_inst.zun_zunify_transaction z 
            INNER JOIN
               ekono_ventas_inst.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_ZAPOTE' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_zapote.zun_zunify_transaction z 
            INNER JOIN
               ekono_zapote.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3)
   UNION ALL
   SELECT   'EKONO_ENCUENTRO' AS esquema,
         z.c_transactionid AS TRANSACCION,
         z.c_estado AS ESTADO,
         z.n_monto AS MONTO,
         w.serie || '-' || w.no_documento FACTURA,
         w.jornada AS JORNADA,
         w.fecha_emision AS FECHA
      FROM   ekono_encuentro.zun_zunify_transaction z
            INNER JOIN
               ekono_encuentro.wms_documentos w
            ON w.documento_padre = z.n_documento  
    WHERE (z.c_estado = 'TCV' OR z.c_estado = 'TC') AND w.fecha_emision > ADD_MONTHS (SYSDATE, -3);

