CREATE OR REPLACE PROCEDURE EKONO.WMS_P_DOCS_MAN(pJORNADA NUMBER DEFAULT NULL) AS
/*CURSOR C_DATOS IS
    SELECT JORNADA FROM WMS_JORNADAS WHERE JORNADA NOT IN
        (SELECT DISTINCT JORNADA FROM WMS_CIERRE_CONSOLIDADO)
    AND TRUNC(FECHA_APERTURA) = TO_DATE(CG_F_PARAMETER_VALUE('FICC'), 'DD/MM/YYYY');
*/
V_BODEGA NUMBER := TO_NUMBER( CG_F_PARAMETER_VALUE('BREE') );
V_MONTO NUMBER;
VCERRADA NUMBER;
V_MONTO2 NUMBER;
BEGIN
    IF pJORNADA IS NOT NULL THEN
        SELECT COUNT(1) INTO VCERRADA FROM WMS_REGISTRO_CAJEROS WHERE JORNADA = pJORNADA AND CERRADO_EL IS NULL;
        
        IF VCERRADA > 0 THEN  
            EKO_P_REPROCESO_FACT_CREDITO(pJORNADA);
                      
            --  ABONOS APARTADOS  --
            
            SELECT ROUND( SUM (TOTAL) ) TOTAL INTO V_MONTO
            FROM 
            (
                SELECT SUM( DECODE( CG_F_PARAMETER_VALUE ('MOJO'), 'MB', D.VALOR, D.VALOR/ NVL (A.TASA_CAMBIO_MA, 1) ) ) TOTAL
                    FROM   WMS_DOCUMENTOS A, WMS_SOCIOS B, WMS_DOCUMENTOS F, DOC_ABONO_DOCUMENTOS D
                WHERE  A.TIPO_DOCUMENTO = 'R'
                    AND    A.SOCIO = B.SOCIO(+)
                    AND    A.JORNADA = pJORNADA
                    AND    NVL (A.SITUACION, 1) <> 11
                    AND    A.DOCUMENTO = D.RECIBO
                    AND    D.DOCUMENTO = F.DOCUMENTO
                    AND    TRUNC(NVL( F.FECHA_VENCIMIENTO,F.FECHA_EMISION)) <> TRUNC(F.FECHA_EMISION)                
                    AND A.SERIE NOT LIKE 'C%'
                UNION  ALL
                 SELECT SUM( DECODE( CG_F_PARAMETER_VALUE ('MOJO'), 'MB', C.VALOR, C.VALOR/ NVL (A.TASA_CAMBIO_MA, 1) ) ) TOTAL
                    FROM   WMS_DOCUMENTOS A, WMS_SOCIOS B, WMS_PAGO_DOCUMENTOS C
                WHERE  A.TIPO_DOCUMENTO = 'R'
                    AND   A.DOCUMENTO = C.DOCUMENTO 
                    AND    A.SOCIO = B.SOCIO(+)
                    AND    A.JORNADA = pJORNADA
                    AND    NVL (A.SITUACION, 1) <> 11
                    AND POS_F_ES_RECIBO_MARCHAMO(A.DOCUMENTO) = 0
                    AND A.DOCUMENTO NOT IN (SELECT RECIBO FROM DOC_ABONO_DOCUMENTOS WHERE RECIBO = A.DOCUMENTO)
                    and c.tipo_pago <> 36
            );
                    
            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '21' AND JORNADA = pJORNADA;
            
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '21' AND JORNADA = pJORNADA;           

            --  FIN ABONO APARTADOS  --

            --  ABONO ECOMMERCE  --
            SELECT SUM(A.VALOR) INTO V_MONTO FROM WMS_PAGO_DOCUMENTOS A, WMS_DOCUMENTOS B 
            WHERE A.TIPO_PAGO = 36 AND B.DOCUMENTO = A.DOCUMENTO AND B.ANULADA_POR IS NULL 
            AND B.JORNADA = pJORNADA AND B.TIPO_DOCUMENTO = 'R';
            
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '100' AND JORNADA = pJORNADA;
            
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '100' AND JORNADA = pJORNADA;  
            -- FIN ABONO ECOMMERCE --


            --  ALO PREPAGO  --

            SELECT ROUND( NVL(SUM(A.MONTO), 0) ) INTO V_MONTO FROM WMS_PAGUE_SERVICIOS A, WMS_DOCUMENTOS B
                WHERE A.DOCUMENTO = B.DOCUMENTO AND NVL(SITUACION, 3) <> 11 
            AND A.TIPO_SERVICIO = '01' AND B.JORNADA = pJORNADA AND A.PROVEEDOR = '01';

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '17' AND JORNADA = pJORNADA; 

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '17' AND JORNADA = pJORNADA; 

            --  FIN ALO PREPAGO  --

             --  PRIDES --

            SELECT ROUND( NVL(SUM(A.MONTO), 0) ) INTO V_MONTO FROM WMS_PAGUE_SERVICIOS A, WMS_DOCUMENTOS B
                WHERE A.DOCUMENTO = B.DOCUMENTO AND NVL(SITUACION, 3) <> 11 
            AND A.TIPO_SERVICIO = '01' AND B.JORNADA = pJORNADA AND A.PROVEEDOR = '05';

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '82' AND JORNADA = pJORNADA; 

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '82' AND JORNADA = pJORNADA; 

            --  FIN PRIDES  --


            --  APARTADOS  --

            SELECT ROUND( SUM(SR3_F_TOTAL_DOCUMENTO (DOCUMENTO)) ) INTO V_MONTO FROM WMS_DOCUMENTOS A
                WHERE A.TIPO_DOCUMENTO = 'F' AND NVL (APARTADO, 'N') = 'S' AND A.JORNADA = pJORNADA
              AND NVL (A.FECHA_EMISION, SYSDATE) < NVL (A.FECHA_VENCIMIENTO, NVL (A.FECHA_EMISION, SYSDATE))
              AND WMS_F_FACTANUL(A.DOCUMENTO) <> 0
              -- NO TOMA EN CUENTA LAS FACTURAS CREADAS POR RECHAZO DE LAS ORIGINALES
              AND A.DOCUMENTO NOT IN (SELECT NDOCUMENTO FROM FE_LIGUE_DOCUMENTOS WHERE NDOCUMENTO = A.DOCUMENTO AND CLIGADO = 'X') ;      
              
            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '13' AND JORNADA = pJORNADA; 

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '13' AND JORNADA = pJORNADA; 

            --  FIN APARTADOS  --

            --  BCR  --

            SELECT ROUND( SUM(TOTAL) ) INTO V_MONTO FROM (
                SELECT NVL(SUM(MONTO * DECODE(TIPO, 'Anulacin', -1, 'Anulacion', -1, 1)), 0) TOTAL FROM WMS_LOG_TR_TARJETAS C 
                        WHERE EMISOR = 3 AND ESTADO = 'Aprobada' AND JORNADA = pJORNADA
                    AND TIPO IN ('Venta', 'Anulacin', 'Anulacion') AND C.AUTORIZACION NOT IN
                ( SELECT A.AUTORIZACION FROM WMS_PAGO_DOCUMENTOS A, WMS_DOCUMENTOS B 
                        WHERE A.DOCUMENTO = B.DOCUMENTO AND A.TIPO_PAGO = 1 AND A.EMISOR = 3 AND B.JORNADA = pJORNADA
                    AND TARJETA LIKE '%' || SUBSTR(C.TARJETA, LENGTH(C.TARJETA)-3, 4) )    
                UNION ALL
                SELECT NVL(SUM(A.VALOR), 0) TOTAL FROM WMS_PAGO_DOCUMENTOS A, WMS_DOCUMENTOS B 
                        WHERE A.DOCUMENTO = B.DOCUMENTO AND A.TIPO_PAGO = 1 AND A.EMISOR = 3 AND B.JORNADA = pJORNADA
                    AND NVL(B.SITUACION, 3) <> 11 AND WMS_F_FACTANUL(NVL(B.DOCUMENTO_PADRE, 1)) <> 0
                    -- NO TOMA EN CUENTA LAS FACTURAS CREADAS POR RECHAZO DE LAS ORIGINALES
                   AND B.DOCUMENTO_PADRE NOT IN (SELECT NDOCUMENTO FROM FE_LIGUE_DOCUMENTOS WHERE NDOCUMENTO = B.DOCUMENTO_PADRE AND CLIGADO = 'X') 
            );   

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '04' AND JORNADA = pJORNADA;
            
            UPDATE WMS_REGISTRO_CAJEROS SET DIFERENCIA = ROUND( NVL(TOTAL_SISTEMA, 0) - NVL(TOTAL_USUARIO, 0) , 2) WHERE RUBRO = '04' AND JORNADA = pJORNADA;
            
            -- ESTE RUBRO POR SER EDITABLE, Y TENER HABILITADO EL REGISTRO DE DIFERENCIAS, SE DEBE VERIFICAR QUE YA SE HAYA HECHO EL AJUSTE
            -- PARA NO VOLVERLO HACER, Y EVITAR DUPLICIDAD EN EL MONTO
            
            SELECT NVL(DIFERENCIA, 0) INTO V_MONTO FROM WMS_REGISTRO_CAJEROS WHERE RUBRO = '04' AND JORNADA = pJORNADA; 
            
            IF V_MONTO <> 0 THEN
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(NVL(TOTAL_USUARIO, 0) + 
                    ( NVL(AJUSTE, 0) * - 1 ), 2) WHERE RUBRO = '04' AND JORNADA = pJORNADA;               
            END IF;
             
            --  FIN BCR  -- 
              
            --  BAC T0  --

--            SELECT ROUND( SUM(TOTAL) ) INTO V_MONTO FROM (
--                SELECT NVL(SUM(MONTO * DECODE(TIPO, 'Anulacin', -1, 'Anulacion', -1, 1)), 0) TOTAL FROM WMS_LOG_TR_TARJETAS C 
--                        WHERE EMISOR = 5 AND ESTADO = 'Aprobada' AND JORNADA = pJORNADA
--                    AND TIPO IN ('Venta', 'Anulacin', 'Anulacion') AND C.AUTORIZACION NOT IN
--                ( SELECT A.AUTORIZACION FROM WMS_PAGO_DOCUMENTOS A, WMS_DOCUMENTOS B 
--                        WHERE A.DOCUMENTO = B.DOCUMENTO AND A.TIPO_PAGO = 1 AND A.EMISOR = 5 AND B.JORNADA = pJORNADA
--                    AND TARJETA LIKE '%' || SUBSTR(C.TARJETA, LENGTH(C.TARJETA)-3, 4) )    
--                UNION ALL
--                SELECT NVL(SUM(A.VALOR), 0) TOTAL FROM WMS_PAGO_DOCUMENTOS A, WMS_DOCUMENTOS B 
--                        WHERE A.DOCUMENTO = B.DOCUMENTO AND A.TIPO_PAGO = 1 AND A.EMISOR = 5 AND B.JORNADA = pJORNADA
--                    AND NVL(B.SITUACION, 3) <> 11 AND WMS_F_FACTANUL(NVL(B.DOCUMENTO_PADRE, 1)) <> 0
--            );   

--            IF V_MONTO < 0 THEN
--                V_MONTO := V_MONTO * -1;
--            END IF;
--            
--            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '90' AND JORNADA = pJORNADA;
--            
--            UPDATE WMS_REGISTRO_CAJEROS SET DIFERENCIA = ROUND( NVL(TOTAL_SISTEMA, 0) - NVL(TOTAL_USUARIO, 0) , 2) WHERE RUBRO = '90' AND JORNADA = pJORNADA;
--            
--            -- ESTE RUBRO POR SER EDITABLE, Y TENER HABILITADO EL REGISTRO DE DIFERENCIAS, SE DEBE VERIFICAR QUE YA SE HAYA HECHO EL AJUSTE
--            -- PARA NO VOLVERLO HACER, Y EVITAR DUPLICIDAD EN EL MONTO
--            
--            SELECT NVL(DIFERENCIA, 0) INTO V_MONTO FROM WMS_REGISTRO_CAJEROS WHERE RUBRO = '90' AND JORNADA = pJORNADA; 
--            
--            IF V_MONTO <> 0 THEN
--                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(NVL(TOTAL_USUARIO, 0) + 
--                    ( NVL(AJUSTE, 0) * - 1 ), 2) WHERE RUBRO = '90' AND JORNADA = pJORNADA;               
--            END IF;
             
            --  FIN BAC T0  --   

            --  BNCR  --

            SELECT ROUND( SUM(TOTAL) ) INTO V_MONTO FROM (
                SELECT NVL(SUM(MONTO * DECODE(TIPO, 'Anulacin', -1, 'Anulacion', -1, 1)), 0) TOTAL FROM WMS_LOG_TR_TARJETAS C 
                        WHERE EMISOR = 2 AND ESTADO = 'Aprobada' AND JORNADA = pJORNADA
                    AND TIPO IN ('Venta', 'Anulacin', 'Anulacion') AND C.AUTORIZACION NOT IN
                ( SELECT A.AUTORIZACION FROM WMS_PAGO_DOCUMENTOS A, WMS_DOCUMENTOS B 
                        WHERE A.DOCUMENTO = B.DOCUMENTO AND A.TIPO_PAGO = 1 AND A.EMISOR = 2 AND B.JORNADA = pJORNADA
                    AND TARJETA LIKE '%' || SUBSTR(C.TARJETA, LENGTH(C.TARJETA)-3, 4) )    
                UNION ALL
                SELECT NVL(SUM(A.VALOR), 0) TOTAL FROM WMS_PAGO_DOCUMENTOS A, WMS_DOCUMENTOS B 
                        WHERE A.DOCUMENTO = B.DOCUMENTO AND A.TIPO_PAGO = 1 AND A.EMISOR = 2 AND B.JORNADA = pJORNADA
                    AND NVL(B.SITUACION, 3) <> 11 AND WMS_F_FACTANUL(NVL(B.DOCUMENTO_PADRE, 1)) <> 0
                    -- NO TOMA EN CUENTA LAS FACTURAS CREADAS POR RECHAZO DE LAS ORIGINALES
                   AND B.DOCUMENTO_PADRE NOT IN (SELECT NDOCUMENTO FROM FE_LIGUE_DOCUMENTOS WHERE NDOCUMENTO = B.DOCUMENTO_PADRE AND CLIGADO = 'X') 
            ); 

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;
            
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '03' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET DIFERENCIA = ROUND( NVL(TOTAL_SISTEMA, 0) - NVL(TOTAL_USUARIO, 0) , 2) WHERE RUBRO = '03' AND JORNADA = pJORNADA;
            
            -- ESTE RUBRO POR SER EDITABLE, Y TENER HABILITADO EL REGISTRO DE DIFERENCIAS, SE DEBE VERIFICAR QUE YA SE HAYA HECHO EL AJUSTE
            -- PARA NO VOLVERLO HACER, Y EVITAR DUPLICIDAD EN EL MONTO
            
            SELECT NVL(DIFERENCIA, 0) INTO V_MONTO FROM WMS_REGISTRO_CAJEROS WHERE RUBRO = '03' AND JORNADA = pJORNADA; 
            
            IF V_MONTO <> 0 THEN
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(NVL(TOTAL_USUARIO, 0) + 
                    ( NVL(AJUSTE, 0) * - 1 ), 2) WHERE RUBRO = '03' AND JORNADA = pJORNADA;               
            END IF;
            
            --  FIN BNCR  --
            
            --  PROMERICA  NACIONAL--

            SELECT ROUND( SUM(TOTAL) ) INTO V_MONTO FROM (
                SELECT NVL(SUM(MONTO * DECODE(TIPO, 'Anulacin', -1, 'Anulacion', -1, 1)), 0) TOTAL FROM WMS_LOG_TR_TARJETAS C 
                        WHERE EMISOR = 8 AND ESTADO = 'Aprobada' AND JORNADA = pJORNADA
                    AND TIPO IN ('Venta', 'Anulacin', 'Anulacion') AND C.AUTORIZACION NOT IN
                ( SELECT A.AUTORIZACION FROM WMS_PAGO_DOCUMENTOS A, WMS_DOCUMENTOS B 
                        WHERE A.DOCUMENTO = B.DOCUMENTO AND A.TIPO_PAGO = 1 AND A.EMISOR = 8 AND B.JORNADA = pJORNADA
                    AND TARJETA LIKE '%' || SUBSTR(C.TARJETA, LENGTH(C.TARJETA)-3, 4) )    
                UNION ALL
                SELECT NVL(SUM(A.VALOR), 0) TOTAL FROM WMS_PAGO_DOCUMENTOS A, WMS_DOCUMENTOS B 
                        WHERE A.DOCUMENTO = B.DOCUMENTO AND A.TIPO_PAGO = 1 AND A.EMISOR = 8 AND B.JORNADA = pJORNADA
                    AND NVL(B.SITUACION, 3) <> 11 AND WMS_F_FACTANUL(NVL(B.DOCUMENTO_PADRE, 1)) <> 0
                    -- NO TOMA EN CUENTA LAS FACTURAS CREADAS POR RECHAZO DE LAS ORIGINALES
                   AND B.DOCUMENTO_PADRE NOT IN (SELECT NDOCUMENTO FROM FE_LIGUE_DOCUMENTOS WHERE NDOCUMENTO = B.DOCUMENTO_PADRE AND CLIGADO = 'X') 
            ); 

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;
            
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '95' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET DIFERENCIA = ROUND( NVL(TOTAL_SISTEMA, 0) - NVL(TOTAL_USUARIO, 0) , 2) WHERE RUBRO = '95' AND JORNADA = pJORNADA;
            
            -- ESTE RUBRO POR SER EDITABLE, Y TENER HABILITADO EL REGISTRO DE DIFERENCIAS, SE DEBE VERIFICAR QUE YA SE HAYA HECHO EL AJUSTE
            -- PARA NO VOLVERLO HACER, Y EVITAR DUPLICIDAD EN EL MONTO
            
            SELECT NVL(DIFERENCIA, 0) INTO V_MONTO FROM WMS_REGISTRO_CAJEROS WHERE RUBRO = '95' AND JORNADA = pJORNADA; 
            
            IF V_MONTO <> 0 THEN
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(NVL(TOTAL_USUARIO, 0) + 
                    ( NVL(AJUSTE, 0) * - 1 ), 2) WHERE RUBRO = '95' AND JORNADA = pJORNADA;               
            END IF;
            
            --  FIN PROMERICA  NACIONAL--    

--  PROMERICA PROPIA --

            SELECT ROUND( SUM(TOTAL) ) INTO V_MONTO FROM (
                SELECT NVL(SUM(MONTO * DECODE(TIPO, 'Anulacin', -1, 'Anulacion', -1, 1)), 0) TOTAL FROM WMS_LOG_TR_TARJETAS C 
                        WHERE EMISOR = 9 AND ESTADO = 'Aprobada' AND JORNADA = pJORNADA
                    AND TIPO IN ('Venta', 'Anulacin', 'Anulacion') AND C.AUTORIZACION NOT IN
                ( SELECT A.AUTORIZACION FROM WMS_PAGO_DOCUMENTOS A, WMS_DOCUMENTOS B 
                        WHERE A.DOCUMENTO = B.DOCUMENTO AND A.TIPO_PAGO = 1 AND A.EMISOR = 9 AND B.JORNADA = pJORNADA
                    AND TARJETA LIKE '%' || SUBSTR(C.TARJETA, LENGTH(C.TARJETA)-3, 4) )    
                UNION ALL
                SELECT NVL(SUM(A.VALOR), 0) TOTAL FROM WMS_PAGO_DOCUMENTOS A, WMS_DOCUMENTOS B 
                        WHERE A.DOCUMENTO = B.DOCUMENTO AND A.TIPO_PAGO = 1 AND A.EMISOR = 9 AND B.JORNADA = pJORNADA
                    AND NVL(B.SITUACION, 3) <> 11 AND WMS_F_FACTANUL(NVL(B.DOCUMENTO_PADRE, 1)) <> 0
                    -- NO TOMA EN CUENTA LAS FACTURAS CREADAS POR RECHAZO DE LAS ORIGINALES
                   AND B.DOCUMENTO_PADRE NOT IN (SELECT NDOCUMENTO FROM FE_LIGUE_DOCUMENTOS WHERE NDOCUMENTO = B.DOCUMENTO_PADRE AND CLIGADO = 'X') 
            ); 

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;
            
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '97' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET DIFERENCIA = ROUND( NVL(TOTAL_SISTEMA, 0) - NVL(TOTAL_USUARIO, 0) , 2) WHERE RUBRO = '97' AND JORNADA = pJORNADA;
            
            -- ESTE RUBRO POR SER EDITABLE, Y TENER HABILITADO EL REGISTRO DE DIFERENCIAS, SE DEBE VERIFICAR QUE YA SE HAYA HECHO EL AJUSTE
            -- PARA NO VOLVERLO HACER, Y EVITAR DUPLICIDAD EN EL MONTO
            
            SELECT NVL(DIFERENCIA, 0) INTO V_MONTO FROM WMS_REGISTRO_CAJEROS WHERE RUBRO = '97' AND JORNADA = pJORNADA; 
            
            IF V_MONTO <> 0 THEN
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(NVL(TOTAL_USUARIO, 0) + 
                    ( NVL(AJUSTE, 0) * - 1 ), 2) WHERE RUBRO = '97' AND JORNADA = pJORNADA;               
            END IF;
            
            --  FIN PROMERICA PROPIA --  
            
            --  PROMERICA INTERNACIONALES --

            SELECT ROUND( SUM(TOTAL) ) INTO V_MONTO FROM (
                SELECT NVL(SUM(MONTO * DECODE(TIPO, 'Anulacin', -1, 'Anulacion', -1, 1)), 0) TOTAL FROM WMS_LOG_TR_TARJETAS C 
                        WHERE EMISOR = 10 AND ESTADO = 'Aprobada' AND JORNADA = pJORNADA
                    AND TIPO IN ('Venta', 'Anulacin', 'Anulacion') AND C.AUTORIZACION NOT IN
                ( SELECT A.AUTORIZACION FROM WMS_PAGO_DOCUMENTOS A, WMS_DOCUMENTOS B 
                        WHERE A.DOCUMENTO = B.DOCUMENTO AND A.TIPO_PAGO = 1 AND A.EMISOR = 10 AND B.JORNADA = pJORNADA
                    AND TARJETA LIKE '%' || SUBSTR(C.TARJETA, LENGTH(C.TARJETA)-3, 4) )    
                UNION ALL
                SELECT NVL(SUM(A.VALOR), 0) TOTAL FROM WMS_PAGO_DOCUMENTOS A, WMS_DOCUMENTOS B 
                        WHERE A.DOCUMENTO = B.DOCUMENTO AND A.TIPO_PAGO = 1 AND A.EMISOR = 10 AND B.JORNADA = pJORNADA
                    AND NVL(B.SITUACION, 3) <> 11 AND WMS_F_FACTANUL(NVL(B.DOCUMENTO_PADRE, 1)) <> 0
                    -- NO TOMA EN CUENTA LAS FACTURAS CREADAS POR RECHAZO DE LAS ORIGINALES
                   AND B.DOCUMENTO_PADRE NOT IN (SELECT NDOCUMENTO FROM FE_LIGUE_DOCUMENTOS WHERE NDOCUMENTO = B.DOCUMENTO_PADRE AND CLIGADO = 'X') 
            ); 

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;
            
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '98' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET DIFERENCIA = ROUND( NVL(TOTAL_SISTEMA, 0) - NVL(TOTAL_USUARIO, 0) , 2) WHERE RUBRO = '98' AND JORNADA = pJORNADA;
            
            -- ESTE RUBRO POR SER EDITABLE, Y TENER HABILITADO EL REGISTRO DE DIFERENCIAS, SE DEBE VERIFICAR QUE YA SE HAYA HECHO EL AJUSTE
            -- PARA NO VOLVERLO HACER, Y EVITAR DUPLICIDAD EN EL MONTO
            
            SELECT NVL(DIFERENCIA, 0) INTO V_MONTO FROM WMS_REGISTRO_CAJEROS WHERE RUBRO = '98' AND JORNADA = pJORNADA; 
            
            IF V_MONTO <> 0 THEN
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(NVL(TOTAL_USUARIO, 0) + 
                    ( NVL(AJUSTE, 0) * - 1 ), 2) WHERE RUBRO = '98' AND JORNADA = pJORNADA;               
            END IF;
            
            --  FIN PROMERICA INTERNACIONALES --              

            --  BAC TASA 0 3 MESES --              

            SELECT ROUND( SUM(TOTAL) ) INTO V_MONTO FROM (
                SELECT NVL(SUM(MONTO * DECODE(TIPO, 'Anulacin', -1, 'Anulacion', -1, 1)), 0) TOTAL FROM WMS_LOG_TR_TARJETAS C 
                        WHERE EMISOR = 11 AND ESTADO = 'Aprobada' AND JORNADA = pJORNADA
                    AND TIPO IN ('Venta', 'Anulacin', 'Anulacion') AND C.AUTORIZACION NOT IN
                ( SELECT A.AUTORIZACION FROM WMS_PAGO_DOCUMENTOS A, WMS_DOCUMENTOS B 
                        WHERE A.DOCUMENTO = B.DOCUMENTO AND A.TIPO_PAGO = 1 AND A.EMISOR = 11 AND B.JORNADA = pJORNADA
                    AND TARJETA LIKE '%' || SUBSTR(C.TARJETA, LENGTH(C.TARJETA)-3, 4) )    
                UNION ALL
                SELECT NVL(SUM(A.VALOR), 0) TOTAL FROM WMS_PAGO_DOCUMENTOS A, WMS_DOCUMENTOS B 
                        WHERE A.DOCUMENTO = B.DOCUMENTO AND A.TIPO_PAGO = 1 AND A.EMISOR = 11 AND B.JORNADA = pJORNADA
                    AND NVL(B.SITUACION, 3) <> 11 AND WMS_F_FACTANUL(NVL(B.DOCUMENTO_PADRE, 1)) <> 0
                    -- NO TOMA EN CUENTA LAS FACTURAS CREADAS POR RECHAZO DE LAS ORIGINALES
                   AND B.DOCUMENTO_PADRE NOT IN (SELECT NDOCUMENTO FROM FE_LIGUE_DOCUMENTOS WHERE NDOCUMENTO = B.DOCUMENTO_PADRE AND CLIGADO = 'X') 
            ); 

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;
            
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '101' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET DIFERENCIA = ROUND( NVL(TOTAL_SISTEMA, 0) - NVL(TOTAL_USUARIO, 0) , 2) WHERE RUBRO = '101' AND JORNADA = pJORNADA;
            
            -- ESTE RUBRO POR SER EDITABLE, Y TENER HABILITADO EL REGISTRO DE DIFERENCIAS, SE DEBE VERIFICAR QUE YA SE HAYA HECHO EL AJUSTE
            -- PARA NO VOLVERLO HACER, Y EVITAR DUPLICIDAD EN EL MONTO
            
            SELECT NVL(DIFERENCIA, 0) INTO V_MONTO FROM WMS_REGISTRO_CAJEROS WHERE RUBRO = '101' AND JORNADA = pJORNADA; 
            
            IF V_MONTO <> 0 THEN
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(NVL(TOTAL_USUARIO, 0) + 
                    ( NVL(AJUSTE, 0) * - 1 ), 2) WHERE RUBRO = '101' AND JORNADA = pJORNADA;               
            END IF;
            
            --  FIN BAC TASA 0 3 MESES --               
            
            --  BAC TASA 0 6 MESES --              

            SELECT ROUND( SUM(TOTAL) ) INTO V_MONTO FROM (
                SELECT NVL(SUM(MONTO * DECODE(TIPO, 'Anulacin', -1, 'Anulacion', -1, 1)), 0) TOTAL FROM WMS_LOG_TR_TARJETAS C 
                        WHERE EMISOR = 12 AND ESTADO = 'Aprobada' AND JORNADA = pJORNADA
                    AND TIPO IN ('Venta', 'Anulacin', 'Anulacion') AND C.AUTORIZACION NOT IN
                ( SELECT A.AUTORIZACION FROM WMS_PAGO_DOCUMENTOS A, WMS_DOCUMENTOS B 
                        WHERE A.DOCUMENTO = B.DOCUMENTO AND A.TIPO_PAGO = 1 AND A.EMISOR = 12 AND B.JORNADA = pJORNADA
                    AND TARJETA LIKE '%' || SUBSTR(C.TARJETA, LENGTH(C.TARJETA)-3, 4) )    
                UNION ALL
                SELECT NVL(SUM(A.VALOR), 0) TOTAL FROM WMS_PAGO_DOCUMENTOS A, WMS_DOCUMENTOS B 
                        WHERE A.DOCUMENTO = B.DOCUMENTO AND A.TIPO_PAGO = 1 AND A.EMISOR = 12 AND B.JORNADA = pJORNADA
                    AND NVL(B.SITUACION, 3) <> 11 AND WMS_F_FACTANUL(NVL(B.DOCUMENTO_PADRE, 1)) <> 0
                    -- NO TOMA EN CUENTA LAS FACTURAS CREADAS POR RECHAZO DE LAS ORIGINALES
                   AND B.DOCUMENTO_PADRE NOT IN (SELECT NDOCUMENTO FROM FE_LIGUE_DOCUMENTOS WHERE NDOCUMENTO = B.DOCUMENTO_PADRE AND CLIGADO = 'X') 
            ); 

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;
            
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '103' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET DIFERENCIA = ROUND( NVL(TOTAL_SISTEMA, 0) - NVL(TOTAL_USUARIO, 0) , 2) WHERE RUBRO = '103' AND JORNADA = pJORNADA;
            
            -- ESTE RUBRO POR SER EDITABLE, Y TENER HABILITADO EL REGISTRO DE DIFERENCIAS, SE DEBE VERIFICAR QUE YA SE HAYA HECHO EL AJUSTE
            -- PARA NO VOLVERLO HACER, Y EVITAR DUPLICIDAD EN EL MONTO
            
            SELECT NVL(DIFERENCIA, 0) INTO V_MONTO FROM WMS_REGISTRO_CAJEROS WHERE RUBRO = '103' AND JORNADA = pJORNADA; 
            
            IF V_MONTO <> 0 THEN
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(NVL(TOTAL_USUARIO, 0) + 
                    ( NVL(AJUSTE, 0) * - 1 ), 2) WHERE RUBRO = '103' AND JORNADA = pJORNADA;               
            END IF;
            
            --  FIN BAC TASA 0 6 MESES --              

            --  BN SERVICIOS  --

            SELECT ROUND( SUM(A.MONTO) ) INTO V_MONTO FROM WMS_V_BNSERVICIOS A
                WHERE A.JORNADA =pJORNADA;

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '16' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '16' AND JORNADA = pJORNADA;

            --  FIN BN SERVICIOS   --            
            
            --  TARJETAS BAC COLONES --

            SELECT ROUND( SUM(A.MONTO) ) INTO V_MONTO FROM WMS_V_TARJBAC_COLON A
                WHERE A.JORNADA = pJORNADA;

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '86' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '86' AND JORNADA = pJORNADA;

            --  FIN DE TARJETAS BAC COLONES--             
            
            --  TARJETAS BAC DOLARES --

            SELECT ROUND( SUM(A.MONTO) ) INTO V_MONTO FROM WMS_V_TARJBAC_DOLAR A
                WHERE A.JORNADA = pJORNADA;

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '87' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '87' AND JORNADA = pJORNADA;

            --  FIN DE TARJETAS BAC COLONES--             
            ---INICIO DE PAGO DE DEPOSITOS EN COLONES DE RAPIBAC
                       
              SELECT SUM(A.deposito) INTO V_MONTO FROM wms_v_depositobac_coloncc A
                WHERE A.JORNADA = pJORNADA;

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '88' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '88' AND JORNADA = pJORNADA;

                                   
            ---FIN DE PAGO DE DEPOSITOS EN COLONES  DE RAPIBAC
            
             ---INICIO DE PAGO DE DEPOSITOS EN DOLARES DE RAPIBAC
                       
              SELECT ( SUM(A.deposito) ) INTO V_MONTO FROM wms_v_depositobac_dolarcc  A
                WHERE A.JORNADA = pJORNADA;

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '89' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '89' AND JORNADA = pJORNADA;

                                   
            ---FIN DE PAGO DE DEPOSITOS EN DOLARES  DE RAPIBAC
                       
            -----------INICIO RETIROS RAPIBAC---------------
            
               SELECT ( SUM(A.retiro) ) INTO V_MONTO FROM wms_v_retirosbac_colones  A
                WHERE A.JORNADA = pJORNADA;

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '93' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '93' AND JORNADA = pJORNADA;
            
            
            -----------FIN RETIROS RAPIBAC-------------------
            
                    
            --  CHEQUE --

            SELECT ROUND( NVL(SUM(A.VALOR), 0) ) INTO V_MONTO FROM WMS_PAGO_DOCUMENTOS A, WMS_DOCUMENTOS B 
                    WHERE A.DOCUMENTO = B.DOCUMENTO AND A.TIPO_PAGO = 4 AND B.JORNADA = pJORNADA
                AND NVL(B.SITUACION, 3) <> 11 AND WMS_F_FACTANUL(NVL(B.DOCUMENTO_PADRE, 1)) <> 0
                -- NO TOMA EN CUENTA LAS FACTURAS CREADAS POR RECHAZO DE LAS ORIGINALES
                AND B.DOCUMENTO_PADRE NOT IN (SELECT NDOCUMENTO FROM FE_LIGUE_DOCUMENTOS WHERE NDOCUMENTO = B.DOCUMENTO_PADRE AND CLIGADO = 'X') ; 

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '12' AND JORNADA = pJORNADA; 
            
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '12' AND JORNADA = pJORNADA; 
            
            --  FIN CHEQUE  --

            --  CREDI-E (FACTURAS)  --

            SELECT ROUND( NVL(SUM(VALORCOMPRA),0) ) INTO  V_MONTO  FROM WMS_CREDITOEK_RPAGS
                WHERE NVL(ESTADO,'N') = 'C' AND JORNADA = pJORNADA AND DOCUMENTO_ORIG IS NULL;
                
            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '35' AND JORNADA = pJORNADA;
            
            UPDATE WMS_REGISTRO_CAJEROS SET DIFERENCIA = ROUND( NVL(TOTAL_SISTEMA, 0) - NVL(TOTAL_USUARIO, 0) , 2) 
                WHERE RUBRO = '35' AND JORNADA = pJORNADA;
                
            -- ESTE RUBRO POR SER EDITABLE, Y TENER HABILITADO EL REGISTRO DE DIFERENCIAS, SE DEBE VERIFICAR QUE YA SE HAYA HECHO EL AJUSTE
            -- PARA NO VOLVERLO HACER, Y EVITAR DUPLICIDAD EN EL MONTO
            
            SELECT NVL(DIFERENCIA, 0) INTO V_MONTO FROM WMS_REGISTRO_CAJEROS WHERE RUBRO = '35' AND JORNADA = pJORNADA; 
            
            IF V_MONTO <> 0 THEN
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(NVL(TOTAL_USUARIO, 0) + 
                    ( NVL(AJUSTE, 0) * - 1 ), 2) WHERE RUBRO = '35' AND JORNADA = pJORNADA;               
            END IF;

            --  FIN CREDI-E (FACTURAS)  --

            --  CREDIX (FACTURAS)  --

            SELECT ROUND( NVL(SUM(MONTO),0) ) INTO  V_MONTO FROM WMS_CREDIX_TRANS 
                WHERE NVL(ESTADO,'N') = 'C' AND JORNADA = pJORNADA AND DOCUMENTO_ORIG IS NULL;
                
            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '34' AND JORNADA = pJORNADA;
            
            UPDATE WMS_REGISTRO_CAJEROS SET DIFERENCIA = ROUND( NVL(TOTAL_SISTEMA, 0) - NVL(TOTAL_USUARIO, 0) , 2) 
                WHERE RUBRO = '34' AND JORNADA = pJORNADA;
                
            -- ESTE RUBRO POR SER EDITABLE, Y TENER HABILITADO EL REGISTRO DE DIFERENCIAS, SE DEBE VERIFICAR QUE YA SE HAYA HECHO EL AJUSTE
            -- PARA NO VOLVERLO HACER, Y EVITAR DUPLICIDAD EN EL MONTO
            
            SELECT NVL(DIFERENCIA, 0) INTO V_MONTO FROM WMS_REGISTRO_CAJEROS WHERE RUBRO = '34' AND JORNADA = pJORNADA; 
            
            IF V_MONTO <> 0 THEN
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(NVL(TOTAL_USUARIO, 0) + 
                    ( NVL(AJUSTE, 0) * - 1 ), 2) WHERE RUBRO = '34' AND JORNADA = pJORNADA;               
            END IF;  
            
            --  FIN CREDIX (FACTURAS)  --
            
            --  CREDIX 3 MESES --

            SELECT ROUND( NVL(SUM(MONTO),0) ) INTO  V_MONTO FROM WMS_CREDIX_TRANS 
                WHERE NVL(ESTADO,'N') = 'C' AND CUOTAS IN (0, 1, 2, 3) AND JORNADA = pJORNADA AND DOCUMENTO_ORIG IS NULL;
                
            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '52' AND JORNADA = pJORNADA;
            
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '52' AND JORNADA = pJORNADA;

            --  FIN CREDIX 3 MESES  --
            
            --  CREDIX 6 MESES --

            SELECT ROUND( NVL(SUM(MONTO),0) ) INTO  V_MONTO FROM WMS_CREDIX_TRANS 
                WHERE NVL(ESTADO,'N') = 'C' AND CUOTAS IN (4, 5, 6) AND JORNADA = pJORNADA AND DOCUMENTO_ORIG IS NULL;
                
            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '53' AND JORNADA = pJORNADA;
            
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '53' AND JORNADA = pJORNADA;

            --  FIN CREDIX 6 MESES  --
            
            --  CREDIX 12 MESES --

            SELECT ROUND( NVL(SUM(MONTO),0) ) INTO  V_MONTO FROM WMS_CREDIX_TRANS 
                WHERE NVL(ESTADO,'N') = 'C' AND CUOTAS IN (7, 8, 9, 10, 11, 12) AND JORNADA = pJORNADA AND DOCUMENTO_ORIG IS NULL;
                
            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '54' AND JORNADA = pJORNADA;
            
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '54' AND JORNADA = pJORNADA;

            --  FIN CREDIX 12 MESES  --
            
            -- FLEXI --
            
            SELECT ROUND( NVL(SUM(MONTO),0) ) INTO  V_MONTO FROM WMS_V_FLEXI 
                WHERE JORNADA = pJORNADA;
                
            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '94' AND JORNADA = pJORNADA;
            UPDATE WMS_REGISTRO_CAJEROS SET DIFERENCIA = ROUND( NVL(TOTAL_SISTEMA, 0) - NVL(TOTAL_USUARIO, 0) , 2) WHERE RUBRO = '94' AND JORNADA = pJORNADA;
            
            -- FIN FLEXI--  
            
            --  CREDOMATIC  --

            SELECT ROUND( NVL(SUM(A.VALOR), 0) ) INTO V_MONTO FROM WMS_PAGO_DOCUMENTOS A, WMS_DOCUMENTOS B 
                    WHERE A.DOCUMENTO = B.DOCUMENTO AND A.TIPO_PAGO = 1 AND A.EMISOR = 1 AND B.JORNADA = pJORNADA
                AND NVL(B.SITUACION, 3) <> 11 AND WMS_F_FACTANUL(NVL(B.DOCUMENTO_PADRE, 1)) <> 0
                AND B.DOCUMENTO_PADRE NOT IN (SELECT NDOCUMENTO FROM FE_LIGUE_DOCUMENTOS WHERE NDOCUMENTO = B.DOCUMENTO_PADRE AND CLIGADO = 'X'); 

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '05' AND JORNADA = pJORNADA; 

            UPDATE WMS_REGISTRO_CAJEROS SET DIFERENCIA = ROUND( NVL(TOTAL_SISTEMA, 0) - NVL(TOTAL_USUARIO, 0) , 2) WHERE RUBRO = '05' AND JORNADA = pJORNADA;
            
            -- ESTE RUBRO POR SER EDITABLE, Y TENER HABILITADO EL REGISTRO DE DIFERENCIAS, SE DEBE VERIFICAR QUE YA SE HAYA HECHO EL AJUSTE
            -- PARA NO VOLVERLO HACER, Y EVITAR DUPLICIDAD EN EL MONTO
            
            SELECT NVL(DIFERENCIA, 0) INTO V_MONTO FROM WMS_REGISTRO_CAJEROS WHERE RUBRO = '05' AND JORNADA = pJORNADA; 
            
            IF V_MONTO <> 0 THEN
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(NVL(TOTAL_USUARIO, 0) + 
                    ( NVL(AJUSTE, 0) * - 1 ), 2) WHERE RUBRO = '05' AND JORNADA = pJORNADA;               
            END IF; 
            
            --  FIN CREDOMATIC  --

            --  CREDITOS ASOCIACIONES  --
            
            SELECT COUNT(1) INTO V_MONTO
                FROM   WMS_DOCUMENTOS A, WMS_SOCIOS B
                WHERE  A.SOCIO = B.SOCIO AND JORNADA = pJORNADA
                AND    A.TIPO_DOCUMENTO = 'F'
                AND    NVL(SITUACION,1) <> 11
                AND    NVL(FECHA_VENCIMIENTO,FECHA_EMISION) > FECHA_EMISION
                AND   WMS_F_FACTANUL(NVL(A.DOCUMENTO, 1)) <> 0
               AND NVL(B.LIMITE_CREDITO, 0) > 0 AND NVL(B.CLIENTE, 'N') = 'S'
                AND B.SOCIO <> 86 AND B.SOCIO <> 173001805 AND B.SOCIO <> 173002179
                -- NO TOMA EN CUENTA LAS FACTURAS CREADAS POR RECHAZO DE LAS ORIGINALES
                 AND A.DOCUMENTO NOT IN (SELECT NDOCUMENTO FROM FE_LIGUE_DOCUMENTOS WHERE NDOCUMENTO = A.DOCUMENTO AND CLIGADO = 'X') ;
            
            IF V_MONTO > 0 THEN
                SELECT ROUND ( SUM(  CASE WHEN WMS_F_FACT_BOLETA_ASOC(A.DOCUMENTO) > 0
                    THEN WMS_F_FACT_BOLETA_ASOC(A.DOCUMENTO)
                    ELSE NVL (a.saldo, a.total) END
                 ) ) INTO V_MONTO
                            FROM   WMS_DOCUMENTOS A, WMS_SOCIOS B
                            WHERE  A.SOCIO = B.SOCIO AND JORNADA = pJORNADA
                            AND    A.TIPO_DOCUMENTO = 'F'
                            AND    NVL(SITUACION,1) <> 11
                            AND    NVL(FECHA_VENCIMIENTO,FECHA_EMISION) > FECHA_EMISION
                            AND   WMS_F_FACTANUL(NVL(A.DOCUMENTO, 1)) <> 0
                            AND NVL(B.LIMITE_CREDITO, 0) > 0 AND NVL(B.CLIENTE, 'N') = 'S'
                            AND B.SOCIO <> 86 AND B.SOCIO <> 173001805 AND B.SOCIO <> 173002179
                           -- NO TOMA EN CUENTA LAS FACTURAS CREADAS POR RECHAZO DE LAS ORIGINALES
                            AND A.DOCUMENTO NOT IN (SELECT NDOCUMENTO FROM FE_LIGUE_DOCUMENTOS WHERE NDOCUMENTO = A.DOCUMENTO AND CLIGADO = 'X') ;

                IF V_MONTO < 0 THEN
                    V_MONTO := V_MONTO * -1;
                END IF;

                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '07' AND JORNADA = pJORNADA;

                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '07' AND JORNADA = pJORNADA;
            ELSE
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = 0 WHERE RUBRO = '07' AND JORNADA = pJORNADA;

                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = 0 WHERE RUBRO = '07' AND JORNADA = pJORNADA;
            END IF;
            
            --  FIN CREDITOS ASOCIACIONES  --

            --  CREDITOS EMPLEADOS  --
            
            SELECT COUNT(1) INTO V_MONTO
                FROM   WMS_DOCUMENTOS A, WMS_SOCIOS B
                WHERE  A.SOCIO = B.SOCIO AND JORNADA = pJORNADA
                AND    A.TIPO_DOCUMENTO = 'F'
                AND    NVL(SITUACION,1) <> 11
                AND    NVL(FECHA_VENCIMIENTO,FECHA_EMISION) > FECHA_EMISION
                AND   WMS_F_FACTANUL(NVL(A.DOCUMENTO, 1)) <> 0
                AND NVL(B.LIMITE_CREDITO, 0) > 0 AND NVL(B.CLIENTE, 'N') = 'S'
                AND ( B.SOCIO = 86 OR B.SOCIO = 173001805 OR B.SOCIO = 173002179)
                -- NO TOMA EN CUENTA LAS FACTURAS CREADAS POR RECHAZO DE LAS ORIGINALES
                AND A.DOCUMENTO NOT IN (SELECT NDOCUMENTO FROM FE_LIGUE_DOCUMENTOS WHERE NDOCUMENTO = A.DOCUMENTO AND CLIGADO = 'X') ;
            
            IF V_MONTO > 0 THEN
                SELECT ROUND ( SUM(  CASE WHEN WMS_F_FACT_BOLETA_ASOC(A.DOCUMENTO) > 0
                    THEN WMS_F_FACT_BOLETA_ASOC(A.DOCUMENTO)
                    ELSE NVL (a.saldo, a.total) END
                 ) ) INTO V_MONTO
                            FROM   WMS_DOCUMENTOS A, WMS_SOCIOS B
                            WHERE  A.SOCIO = B.SOCIO AND JORNADA = pJORNADA
                            AND    A.TIPO_DOCUMENTO = 'F'
                            AND    NVL(SITUACION,1) <> 11
                            AND    NVL(FECHA_VENCIMIENTO,FECHA_EMISION) > FECHA_EMISION
                            AND   WMS_F_FACTANUL(NVL(A.DOCUMENTO, 1)) <> 0
                            AND NVL(B.LIMITE_CREDITO, 0) > 0 AND NVL(B.CLIENTE, 'N') = 'S'
                            AND ( B.SOCIO = 86 OR B.SOCIO = 173001805 OR B.SOCIO = 173002179)
                            -- NO TOMA EN CUENTA LAS FACTURAS CREADAS POR RECHAZO DE LAS ORIGINALES
                            AND A.DOCUMENTO NOT IN (SELECT NDOCUMENTO FROM FE_LIGUE_DOCUMENTOS WHERE NDOCUMENTO = A.DOCUMENTO AND CLIGADO = 'X') ;

                IF V_MONTO < 0 THEN
                    V_MONTO := V_MONTO * -1;
                END IF;

                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '06' AND JORNADA = pJORNADA;

                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '06' AND JORNADA = pJORNADA;
            END IF;

            --  FIN CREDITOS EMPLEADOS  --

            --  EFECTIVO COLONES  --
            -- USUARIO
            SELECT ROUND( DECODE(SUM(MONTO_COLONES), NULL, 0, SUM(MONTO_COLONES)) ) INTO V_MONTO 
                FROM WMS_V_DEPOSITOS WHERE JORNADA = pJORNADA AND TIPO_MONEDA = 1;

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            V_MONTO := NVL(V_MONTO, 0);
            
                       
            --UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO + ( NVL(AJUSTE, 0) * - 1 ), 2) WHERE RUBRO = '40' AND JORNADA = pJORNADA; 
            IF V_MONTO = 0 THEN
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND( ( NVL(AJUSTE, 0) * -1 ), 2) WHERE RUBRO = '40' AND JORNADA = pJORNADA; 
            ELSE
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO + ( NVL(AJUSTE, 0) * - 1 ), 2) WHERE RUBRO = '40' AND JORNADA = pJORNADA;
            END IF;

            -- SISTEMA
            SELECT ROUND( SUM(TOTAL) ) INTO V_MONTO FROM
            (
                SELECT NVL (SUM (C.VALOR), 0) TOTAL
                  FROM WMS_DOCUMENTOS A, WMS_PAGO_DOCUMENTOS C
                 WHERE A.DOCUMENTO = C.DOCUMENTO
                   AND A.TIPO_DOCUMENTO = 'R'
                   AND C.TIPO_PAGO = 3
                   AND C.MONEDA = 1
                   AND NVL(A.SITUACION, 3) <> 11
                   AND WMS_F_FACTANUL( NVL(A.DOCUMENTO_PADRE, 1) ) <> 0
                   AND A.JORNADA = PJORNADA
                   -- NO TOMA EN CUENTA LAS FACTURAS CREADAS POR RECHAZO DE LAS ORIGINALES
                   AND A.DOCUMENTO_PADRE NOT IN (SELECT NDOCUMENTO FROM FE_LIGUE_DOCUMENTOS WHERE NDOCUMENTO = A.DOCUMENTO_PADRE AND CLIGADO = 'X')  
                UNION ALL
                /*ABONOS ECOM ARIEL VARGAS VALVERDE*/
                SELECT SUM(A.VALOR) TOTAL FROM WMS_PAGO_DOCUMENTOS A, WMS_DOCUMENTOS B 
                WHERE A.TIPO_PAGO = 36 AND B.DOCUMENTO = A.DOCUMENTO AND B.ANULADA_POR IS NULL 
                AND B.JORNADA = pJORNADA AND B.TIPO_DOCUMENTO = 'R'
                /*FIN*/                
                UNION ALL
                SELECT SUM(MONTO) TOTAL FROM WMS_V_BNSERVICIOS WHERE JORNADA = PJORNADA 
                UNION ALL
                SELECT SUM(MONTO) TOTAL FROM WMS_V_RECARGAS2 WHERE JORNADA = PJORNADA 
                UNION ALL
                SELECT SUM(R.PAGACON - R.VUELTO) TOTAL 
                        FROM WMS_HABLAMAS_REQ R , WMS_PAGUE_SERVICIOS S, WMS_DOCUMENTOS D
                        WHERE R.JORNADA = PJORNADA AND R.CODSTATE = 0 and R.Moneda = 1 AND D.DOCUMENTO = S.DOCUMENTO
                        AND S.TIPO_SERVICIO = '04' AND S.TRANS_PROVEEDOR = R.ID
                UNION ALL            
                SELECT SUM(A.MONTO) TOTAL FROM WMS_V_PAGOSCREDITO A WHERE A.JORNADA = PJORNADA
                UNION ALL
                SELECT SUM(A.MONTO * - 1) TOTAL FROM WMS_CAJACHICA A WHERE A.JORNADA = PJORNADA AND A.ANULADO_EL IS NULL
                UNION ALL-- DEVOLUCIONES EN EFECTIVO
                SELECT (DECODE (CG_F_PARAMETER_VALUE ('MOJO'), 'MB', A.TOTAL, A.TOTAL / NVL (A.TASA_CAMBIO_MA, 1)) * -1) TOTAL
                FROM   WMS_DOCUMENTOS A, WMS_SOCIOS B
                WHERE  A.TIPO_DOCUMENTO = 'D'
                AND    A.SOCIO = B.SOCIO
                AND    A.JORNADA IN (PJORNADA)
                AND A.SUBTIPO_DOCUMENTO = 'D'
                AND    NVL (A.SITUACION, 1) <> 11
                UNION ALL
                SELECT SUM( (C.PAGADO - C.VALOR) *-1 ) TOTAL 
                    FROM   WMS_DOCUMENTOS A, WMS_SOCIOS B, WMS_PAGO_DOCUMENTOS C, DOC_ABONO_DOCUMENTOS D, WMS_DOCUMENTOS E
                    WHERE  A.TIPO_DOCUMENTO = 'R'
                    AND   A.DOCUMENTO = C.DOCUMENTO
                    AND   C.MONEDA = WMS_F_MONEDA_ALTERNA 
                    AND  C.TIPO_PAGO = '3'
                    AND    A.SOCIO = B.SOCIO(+)
                    AND    A.JORNADA IN ( PJORNADA )
                    AND    NVL (A.SITUACION, 1) <> 11
                    AND   D.RECIBO = A.DOCUMENTO
                    AND   D.DOCUMENTO = E.DOCUMENTO
                    AND   NVL(E.FECHA_VENCIMIENTO,E.FECHA_EMISION) =  NVL(E.FECHA_EMISION, SYSDATE)
                    AND   WMS_F_FACTANUL(NVL(E.DOCUMENTO, 1)) <> 0     
                UNION ALL
                SELECT SUM( (A.PAGADO - A.VALOR) * -1 ) MONTO
                    FROM WMS_PAGO_DOCUMENTOS A INNER JOIN WMS_DOCUMENTOS B
                        ON B.DOCUMENTO_PADRE IS NULL AND A.DOCUMENTO = B.DOCUMENTO
                    WHERE A.TIPO_PAGO = 3 AND NVL(SITUACION, 3) <> 11 AND A.MONEDA = WMS_F_MONEDA_ALTERNA
                        AND NVL (B.FECHA_VENCIMIENTO, B.FECHA_EMISION) =
                                                                NVL (B.FECHA_EMISION, SYSDATE)
                   AND B.JORNADA = PJORNADA                   
                UNION ALL         
                SELECT SUM(R.VUELTO * -1) TOTAL 
                    FROM WMS_HABLAMAS_REQ R , WMS_PAGUE_SERVICIOS S, WMS_DOCUMENTOS D
                WHERE R.JORNADA = PJORNADA AND R.CODSTATE = 0 and R.Moneda = 2 AND D.DOCUMENTO = S.DOCUMENTO
                    AND S.TIPO_SERVICIO = '04' AND S.TRANS_PROVEEDOR = R.ID
                UNION ALL --RESTA LOS PAGOS DE WESTERNUNION                
                SELECT NVL(SUM(MONTOORIGINALTRANSACCIONTL * -1),0) TOTAL FROM WU_COMP_PAGO
                WHERE JORNADA = PJORNADA
                UNION ALL --SUMA LOS INGRESOS POR ENVIOS DE WESTERUNION   
                SELECT NVL(SUM(PAGO_COL),0) TOTAL FROM WU_COMP_ENVIO
                WHERE JORNADA = PJORNADA 
                UNION ALL --RESTA LOS VUELTOS EN COLONES DE LOS DOLARES EN LOS ENVIOS DE WESTERUNION
                SELECT NVL(wu_f_VueltDolJwu( PJORNADA ) * -1 ,0) TOTAL FROM DUAL
                UNION ALL --SUMA EL INGRESO DE FONDO DE WESTERNUNION
                SELECT NVL(SUM(MONTO),0) TOTAL FROM WU_FONDOS
                WHERE  JORNADA = PJORNADA   
                AND TIPO = 'I'  
                AND ANULADO_EL IS NULL
                UNION ALL --RESTA LA SALIDA DE FONDOS DE WESTERNUNION
                SELECT NVL(SUM(MONTO * -1),0) TOTAL FROM WU_FONDOS
                WHERE  JORNADA = PJORNADA   
                AND TIPO = 'S'  
                AND ANULADO_EL IS NULL
                UNION ALL --RESTA EL FONDO DISPONIBLE WESTERNUNION
                select NVL((wu_f_fondodispwu(PJORNADA) * -1),0) TOTAL FROM DUAL
                UNION ALL --SUMA LAS TRANSACCIONES EN COLONES DE LAS TARJETAS DEL BAC 
                SELECT NVL(SUM(CMONTO_RECIBIDO),0) TOTAL 
                FROM WMS_V_TARJBAC_COLON WHERE JORNADA = pJORNADA                 
                UNION ALL --RESTA LOS VUELTOS DE LAS TARJETAS DEL BAC 
                SELECT NVL(SUM(CVUELTO * -1),0) TOTAL 
                FROM WMS_V_TARJBAC WHERE JORNADA = pJORNADA 
                UNION ALL         
                SELECT round(SUM(A.MONTO),0) TOTAL
                FROM wms_v_depositobac_colon A
                WHERE A.JORNADA = pJORNADA                
                --RESTA LOS VUELTOS DE LOS DEPOSITOS
                UNION ALL 
                SELECT NVL(SUM(CVUELTO * -1),0) TOTAL 
                FROM wms_v_depositosbac WHERE JORNADA = pJORNADA
               UNION ALL         
              SELECT round(SUM(A.MONTO * -1),0) TOTAL
               FROM wms_v_retirosbac_colon A
             WHERE A.JORNADA = pJORNADA  
            );        

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            V_MONTO := NVL(V_MONTO, 0);                    

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '40' AND JORNADA = pJORNADA; 
            --
            UPDATE WMS_REGISTRO_CAJEROS SET DIFERENCIA = ROUND( NVL(TOTAL_SISTEMA, 0) - NVL(TOTAL_USUARIO, 0) , 2) WHERE RUBRO = '40' AND JORNADA = pJORNADA;

            --  FIN EFECTIVO COLONES  --

            
            --  EFECTIVO DOLARES  --
            -- USUARIO
            SELECT DECODE(SUM(MONTO), NULL, 0, SUM(MONTO)) INTO V_MONTO 
                --FROM WMS_V_DEPOSITOS WHERE JORNADA = pJORNADA AND TIPO_MONEDA = 2;  -- ACC 01022020 
                FROM WMS_V_DEPOSITOS WHERE JORNADA = pJORNADA AND TIPO_MONEDA IN (2,8);  -- ACC 01022020

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            V_MONTO := NVL(V_MONTO, 0);

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO + ( NVL(AJUSTE, 0) * - 1 ), 2) WHERE RUBRO = '41' AND JORNADA = pJORNADA; 
            
            -- SISTEMA            
            SELECT SUM(TOTAL) INTO V_MONTO FROM
            (
                SELECT SUM(A.VALOR_MONEDA) TOTAL
                    FROM WMS_PAGO_DOCUMENTOS A INNER JOIN WMS_DOCUMENTOS B ON A.DOCUMENTO = B.DOCUMENTO
                     INNER JOIN WMS_DOCUMENTOS C ON B.DOCUMENTO_PADRE = C.DOCUMENTO
                --WHERE  WMS_F_FACTANUL(NVL(B.DOCUMENTO_PADRE, 1)) <> 0 AND A.MONEDA = 2 -- acc 01122020
                WHERE  WMS_F_FACTANUL(NVL(B.DOCUMENTO_PADRE, 1)) <> 0 AND A.MONEDA IN (2,8) -- acc 01122020
                    AND C.JORNADA = pJORNADA
                    -- NO TOMA EN CUENTA LAS FACTURAS CREADAS POR RECHAZO DE LAS ORIGINALES
                   AND B.DOCUMENTO_PADRE NOT IN (SELECT NDOCUMENTO FROM FE_LIGUE_DOCUMENTOS WHERE NDOCUMENTO = B.DOCUMENTO_PADRE AND CLIGADO = 'X') 
                UNION ALL
                SELECT SUM(A.VALOR_MONEDA) TOTAL   
                    FROM WMS_PAGO_DOCUMENTOS A INNER JOIN WMS_DOCUMENTOS B ON A.DOCUMENTO = B.DOCUMENTO
                --WHERE NVL(B.SITUACION, 3) <> 11 AND A.MONEDA = 2 AND B.DOCUMENTO_PADRE IS NULL --ACC 01122020
                WHERE NVL(B.SITUACION, 3) <> 11 AND A.MONEDA IN (2,8) AND B.DOCUMENTO_PADRE IS NULL
                    AND B.JORNADA = pJORNADA
                UNION ALL
                SELECT WMS_F_DOL_HABLAMAS(pJORNADA) TOTAL FROM DUAL  
                UNION ALL --ENVIOS WESTERNUNION
                SELECT SUM(PAGA_CON_DOL) TOTAL FROM WU_COMP_ENVIO WHERE JORNADA = pJORNADA           
                UNION ALL --SUMA LAS TRANSACCIONES EN DOLARES DE LAS TARJETAS DEL BAC 
                SELECT NVL(SUM(CMONTO_RECIBIDO),0) TOTAL 
                FROM WMS_V_TARJBAC_DOLAR WHERE JORNADA = pJORNADA 
                               UNION ALL --SUMA LAS TRANSACCIONES EN DOLARES DE LAS TARJETAS DEL BAC 
                SELECT NVL(SUM(cmonto_recibido),0) TOTAL 
                FROM wms_v_depositosbac WHERE JORNADA = pJORNADA                         
            );

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '41' AND JORNADA = pJORNADA; 
            
            UPDATE WMS_REGISTRO_CAJEROS SET DIFERENCIA = ROUND( NVL(TOTAL_SISTEMA, 0) - NVL(TOTAL_USUARIO, 0) , 2) WHERE RUBRO = '41' AND JORNADA = pJORNADA;
            
            --  FIN EFECTIVO DOLARES  --

            
            --  FICHAS EXTRAVIADAS  --
            
            SELECT ROUND (NVL (SUM (  (  NVL (A.PRECIO_UNITARIO, 0) - NVL (A.DESCUENTO, 0)
                + NVL (A.IMPUESTO, 0) ) * A.CANTIDAD ), 0 ), 2 ) INTO V_MONTO
            FROM WMS_SKUS_X_DOCUMENTO A INNER JOIN WMS_DOCUMENTOS B
                ON A.DOCUMENTO = B.DOCUMENTO
             WHERE B.TIPO_DOCUMENTO = 'F' AND A.USUARIO_ANULO IS NULL   
               AND A.SKU = CG_F_PARAMETER_VALUE ('SFE') AND B.JORNADA = pJORNADA
               AND WMS_F_FACTANUL(B.DOCUMENTO) <> 0
               -- NO TOMA EN CUENTA LAS FACTURAS CREADAS POR RECHAZO DE LAS ORIGINALES
               AND B.DOCUMENTO NOT IN (SELECT NDOCUMENTO FROM FE_LIGUE_DOCUMENTOS WHERE NDOCUMENTO = B.DOCUMENTO AND CLIGADO = 'X') ;
               
            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '20' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '20' AND JORNADA = pJORNADA; 
        
            --  FIN FICHAS EXTRAVIADAS  --

            --  GASTOS (CAJA CHICA)  --

            SELECT ROUND( SUM(MONTO) ) INTO V_MONTO FROM WMS_CAJACHICA WHERE JORNADA = pJORNADA AND ANULADO_EL IS NULL;

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '14' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '14' AND JORNADA = pJORNADA;

            --  FIN GASTOS (CAJA CHICA)  --

            --  GIFT CARD (PAGO)  --

            SELECT ROUND( SUM(TOTAL) ) INTO V_MONTO FROM(
                SELECT DECODE (CG_F_PARAMETER_VALUE ('MOJO'), 'MB', C.VALOR, C.VALOR/ NVL (A.TASA_CAMBIO_MA, 1)) TOTAL
                        FROM   WMS_DOCUMENTOS A, WMS_SOCIOS B, WMS_PAGO_DOCUMENTOS C, DOC_ABONO_DOCUMENTOS D, WMS_DOCUMENTOS E
                        WHERE  A.TIPO_DOCUMENTO = 'R'
                        AND   A.DOCUMENTO = C.DOCUMENTO 
                        AND  C.TIPO_PAGO = '14'
                        AND    A.SOCIO = B.SOCIO(+)
                        AND    A.JORNADA = pJORNADA
                        AND    NVL (A.SITUACION, 1) <> 11
                        AND   D.RECIBO = A.DOCUMENTO
                        AND   D.DOCUMENTO = E.DOCUMENTO
                        AND   NVL(E.FECHA_VENCIMIENTO,E.FECHA_EMISION) =  NVL(E.FECHA_EMISION, SYSDATE)    
                        AND   WMS_F_FACTANUL(E.DOCUMENTO) <>  0   
                        -- NO TOMA EN CUENTA LAS FACTURAS CREADAS POR RECHAZO DE LAS ORIGINALES
                        AND A.DOCUMENTO_PADRE NOT IN (SELECT NDOCUMENTO FROM FE_LIGUE_DOCUMENTOS WHERE NDOCUMENTO = A.DOCUMENTO_PADRE AND CLIGADO = 'X')             
                UNION ALL       
             SELECT DECODE (CG_F_PARAMETER_VALUE ('MOJO'), 'MB', C.VALOR, C.VALOR/ NVL (A.TASA_CAMBIO_MA, 1)) TOTAL
                        FROM   WMS_DOCUMENTOS A, WMS_SOCIOS B, WMS_PAGO_DOCUMENTOS C, WMS_DOCUMENTOS F, DOC_ABONO_DOCUMENTOS D
                        WHERE  A.TIPO_DOCUMENTO = 'R'
                        AND   A.DOCUMENTO = C.DOCUMENTO 
                        AND  C.TIPO_PAGO = '14'
                        AND    A.SOCIO = B.SOCIO(+)
                        AND    A.JORNADA = pJORNADA
                        AND    NVL (A.SITUACION, 1) <> 11
                        AND    A.DOCUMENTO = D.RECIBO
                        AND    D.DOCUMENTO = F.DOCUMENTO
                        AND    TRUNC(NVL( F.FECHA_VENCIMIENTO,F.FECHA_EMISION)) <> TRUNC(F.FECHA_EMISION) 
                        -- NO TOMA EN CUENTA LAS FACTURAS CREADAS POR RECHAZO DE LAS ORIGINALES
                        AND A.DOCUMENTO_PADRE NOT IN (SELECT NDOCUMENTO FROM FE_LIGUE_DOCUMENTOS WHERE NDOCUMENTO = A.DOCUMENTO_PADRE AND CLIGADO = 'X') 
            ) ;    

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '32' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '32' AND JORNADA = pJORNADA;
        
            --  FIN GIFT CARD (PAGO)  --
            
            -- GIFT CARD (VENTA) --
            
            SELECT COUNT(1) INTO V_MONTO FROM WMS_SKUS_X_DOCUMENTO A, WMS_DOCUMENTOS B WHERE  A.DOCUMENTO = B.DOCUMENTO AND 
                A.USUARIO_ANULO IS NULL AND B.TIPO_DOCUMENTO IN ('F')
            AND NVL(B.SITUACION,1) <> 11 AND A.SKU = CG_F_PARAMETER_VALUE('SPIC') AND B.JORNADA = pJORNADA
            AND WMS_F_FACTANUL(B.DOCUMENTO) <> 0
            -- NO TOMA EN CUENTA LAS FACTURAS CREADAS POR RECHAZO DE LAS ORIGINALES
            AND B.DOCUMENTO NOT IN (SELECT NDOCUMENTO FROM FE_LIGUE_DOCUMENTOS WHERE NDOCUMENTO = B.DOCUMENTO AND CLIGADO = 'X') ;
            
            IF V_MONTO > 0 THEN  
                SELECT ROUND( DECODE (TIPO_DOCUMENTO, 'F', ROUND (NVL(SUM((NVL(PRECIO_UNITARIO, 0) - NVL(DESCUENTO, 0) + NVL(A.IMPUESTO, 0)  ) * CANTIDAD ),   0 ),  2),
                    ROUND (NVL(SUM((NVL(PRECIO_UNITARIO, 0) - NVL(DESCUENTO, 0) + NVL(A.IMPUESTO, 0)  ) * CANTIDAD ),   0 ),  2) * -1) ) TOTAL INTO V_MONTO      
                FROM   WMS_SKUS_X_DOCUMENTO A, WMS_DOCUMENTOS B WHERE  A.DOCUMENTO = B.DOCUMENTO AND A.USUARIO_ANULO IS NULL AND B.TIPO_DOCUMENTO IN ('F')
                  AND NVL(B.SITUACION,1) <> 11 AND A.SKU = CG_F_PARAMETER_VALUE('SPIC') AND B.JORNADA = pJORNADA
                  AND WMS_F_FACTANUL(B.DOCUMENTO) <> 0
                  -- NO TOMA EN CUENTA LAS FACTURAS CREADAS POR RECHAZO DE LAS ORIGINALES
                  AND B.DOCUMENTO NOT IN (SELECT NDOCUMENTO FROM FE_LIGUE_DOCUMENTOS WHERE NDOCUMENTO = B.DOCUMENTO AND CLIGADO = 'X') 
                GROUP BY TIPO_DOCUMENTO;
               
                IF V_MONTO < 0 THEN
                    V_MONTO := V_MONTO * -1;
                END IF;
               UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '31' AND JORNADA = pJORNADA; 
               
               UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '31' AND JORNADA = pJORNADA; 
            ELSE
                V_MONTO := 0;
                
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '31' AND JORNADA = pJORNADA; 
               
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '31' AND JORNADA = pJORNADA;    
            END IF;
            
            -- FIN GIFT CARD (VENTA) --
            
            --  MARCHAMOS - COLONES --
            
            SELECT COUNT( 1 ) INTO V_MONTO      
                    FROM POS_V_MARCHAMOS_EFECTIVOCC WHERE TIPO_MONEDA = 1 AND JORNADA = pJORNADA;
            
            IF V_MONTO > 0 THEN  
                SELECT ROUND( SUM( MONTO ) ) TOTAL INTO V_MONTO      
                    FROM POS_V_MARCHAMOS_EFECTIVOCC WHERE TIPO_MONEDA = 1 AND JORNADA = pJORNADA;
               
                IF V_MONTO < 0 THEN
                    V_MONTO := V_MONTO * -1;
                END IF;
               UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '61' AND JORNADA = pJORNADA; 
               
               UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '61' AND JORNADA = pJORNADA; 
            
            ELSE
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = 0 WHERE RUBRO = '61' AND JORNADA = pJORNADA; 
               
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = 0 WHERE RUBRO = '61' AND JORNADA = pJORNADA;       
            END IF;
            
            --  FIN MARCHAMOS - COLONES --
            
            --  MARCHAMOS - CREDIE --
            
            SELECT COUNT( 1 ) INTO V_MONTO      
                    FROM POS_V_MARCHAMOS_CREDIECC WHERE JORNADA = pJORNADA;
            
            IF V_MONTO > 0 THEN  
                SELECT ROUND( SUM( MONTO ) ) TOTAL INTO V_MONTO      
                    FROM POS_V_MARCHAMOS_CREDIECC WHERE JORNADA = pJORNADA;
               
                IF V_MONTO < 0 THEN
                    V_MONTO := V_MONTO * -1;
                END IF;
               UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '60' AND JORNADA = pJORNADA; 
               
               UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '60' AND JORNADA = pJORNADA; 
               
            ELSE
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = 0 WHERE RUBRO = '60' AND JORNADA = pJORNADA; 
               
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = 0 WHERE RUBRO = '60' AND JORNADA = pJORNADA;       
            END IF;
            
            --  FIN MARCHAMOS - CREDIE --

            --  MULTICREDITOS (CUOTAS)  --

            SELECT SUM(MONTO)  INTO V_MONTO FROM
            (
                SELECT MONTO_CANCELADO MONTO
                 FROM WMS_CREDITOEK_PAGOS
                WHERE ANULADO_EL IS NULL AND JORNADA = pJORNADA
               UNION ALL
               SELECT MONTO_CANCELADO MONTO
                 FROM WMS_INSTACREDIT_PAGOS
                WHERE ANULADO_EL IS NULL AND JORNADA = pJORNADA
               UNION ALL
               SELECT MONTO_CANCELADO MONTO
                 FROM WMS_MULTICRED_PAGOS
                WHERE ANULADO_EL IS NULL AND JORNADA = pJORNADA
            );

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '36' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '36' AND JORNADA = pJORNADA;

            --  FIN MULTICREDITOS (CUOTAS)  --

            --  NOTAS DE CREDITO  --

            /* SELECT SUM(TOTAL) INTO V_MONTO
                FROM WMS_DOCUMENTOS WHERE TIPO_DOCUMENTO = 'N' AND JORNADA = pJORNADA;

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '10' AND JORNADA = pJORNADA; 
            
            UPDATE WMS_REGISTRO_CAJEROS SET DIFERENCIA = ROUND( NVL(TOTAL_SISTEMA, 0) - NVL(TOTAL_USUARIO, 0) , 2) WHERE RUBRO = '10' AND JORNADA = pJORNADA;
            
            -- ESTE RUBRO POR SER EDITABLE, Y TENER HABILITADO EL REGISTRO DE DIFERENCIAS, SE DEBE VERIFICAR QUE YA SE HAYA HECHO EL AJUSTE
            -- PARA NO VOLVERLO HACER, Y EVITAR DUPLICIDAD EN EL MONTO
            
            SELECT NVL(DIFERENCIA, 0) INTO V_MONTO FROM WMS_REGISTRO_CAJEROS WHERE RUBRO = '10' AND JORNADA = pJORNADA; 
            
            IF V_MONTO <> 0 THEN
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(NVL(TOTAL_USUARIO, 0) + 
                    ( NVL(AJUSTE, 0) * - 1 ), 2) WHERE RUBRO = '10' AND JORNADA = pJORNADA;               
            END IF;
            
            INSERT INTO LOG_CALCULOS(JORNADA, RUBRO, TIPO, FECHA)
                VALUES
            (pJORNADA, '10', 'S', SYSDATE);  */
            
            --  FIN NOTAS DE CREDITO  --
            
            --  NOTAS DE CREDITO - ANULACIONES --

            SELECT ROUND( SUM(TOTAL) ) INTO V_MONTO FROM (
                SELECT  NVL(SUM(A.TOTAL), 0) TOTAL FROM WMS_DOCUMENTOS A INNER JOIN WMS_DOCUMENTOS B ON A.DOCUMENTO_PADRE = B.DOCUMENTO 
                    WHERE A.TIPO_DOCUMENTO = 'D' AND  A.JORNADA = pJORNADA AND NVL(A.SITUACION,1) <> 11 AND A.SUBTIPO_DOCUMENTO = 'A'  
                AND NVL(B.APARTADO, 'N') <> 'S'
                UNION ALL
                SELECT  NVL(SUM(A.TOTAL), 0) TOTAL FROM WMS_DOCUMENTOS A INNER JOIN WMS_DOCUMENTOS B ON A.DOCUMENTO_PADRE = B.DOCUMENTO 
                    WHERE A.TIPO_DOCUMENTO = 'D' AND  A.JORNADA = pJORNADA AND NVL(A.SITUACION,1) <> 11 AND A.SUBTIPO_DOCUMENTO = 'A'  
                AND NVL(B.APARTADO, 'N') = 'S' AND TRUNC(B.CREADO_EL) = TRUNC(A.CREADO_EL)
            );

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '28' AND JORNADA = pJORNADA; 
            
            UPDATE WMS_REGISTRO_CAJEROS SET DIFERENCIA = ROUND( NVL(TOTAL_SISTEMA, 0) - NVL(TOTAL_USUARIO, 0) , 2) WHERE RUBRO = '28' AND JORNADA = pJORNADA;
            
            -- ESTE RUBRO POR SER EDITABLE, Y TENER HABILITADO EL REGISTRO DE DIFERENCIAS, SE DEBE VERIFICAR QUE YA SE HAYA HECHO EL AJUSTE
            -- PARA NO VOLVERLO HACER, Y EVITAR DUPLICIDAD EN EL MONTO
            
            SELECT NVL(DIFERENCIA, 0) INTO V_MONTO FROM WMS_REGISTRO_CAJEROS WHERE RUBRO = '28' AND JORNADA = pJORNADA; 
            
            IF V_MONTO <> 0 THEN
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(NVL(TOTAL_USUARIO, 0) + 
                    ( NVL(AJUSTE, 0) * - 1 ), 2) WHERE RUBRO = '28' AND JORNADA = pJORNADA;               
            END IF;
            
            --  FIN NOTAS DE CREDITO  - ANULACIONES --
            
            --  NOTAS DE CREDITO - APARTADOS VENCIDOS --

            SELECT ROUND( SUM(A.TOTAL) ) INTO V_MONTO FROM WMS_DOCUMENTOS A INNER JOIN WMS_DOCUMENTOS B ON A.DOCUMENTO_PADRE = B.DOCUMENTO 
                WHERE A.TIPO_DOCUMENTO = 'D' AND  A.JORNADA = pJORNADA AND NVL(A.SITUACION,1) <> 11 AND A.SUBTIPO_DOCUMENTO = 'A'  
            AND NVL(B.APARTADO, 'N') = 'S' AND TRUNC (B.FECHA_VENCIMIENTO) <> TRUNC (A.FECHA_EMISION);-- TRUNC(B.FECHA_VENCIMIENTO) < TRUNC(SYSDATE);

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '30' AND JORNADA = pJORNADA; 
            
            UPDATE WMS_REGISTRO_CAJEROS SET DIFERENCIA = ROUND( NVL(TOTAL_SISTEMA, 0) - NVL(TOTAL_USUARIO, 0) , 2) WHERE RUBRO = '30' AND JORNADA = pJORNADA;
            
            -- ESTE RUBRO POR SER EDITABLE, Y TENER HABILITADO EL REGISTRO DE DIFERENCIAS, SE DEBE VERIFICAR QUE YA SE HAYA HECHO EL AJUSTE
            -- PARA NO VOLVERLO HACER, Y EVITAR DUPLICIDAD EN EL MONTO
            
            SELECT NVL(DIFERENCIA, 0) INTO V_MONTO FROM WMS_REGISTRO_CAJEROS WHERE RUBRO = '30' AND JORNADA = pJORNADA; 
            
            IF V_MONTO <> 0 THEN
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(NVL(TOTAL_USUARIO, 0) + 
                    ( NVL(AJUSTE, 0) * - 1 ), 2) WHERE RUBRO = '30' AND JORNADA = pJORNADA;               
            END IF;
            
            --  FIN NOTAS DE CREDITO  - APARTADOS VENCIDOS  --
            
            --  NOTAS DE CREDITO - DEVOLUCIONES APLICADAS --

            SELECT ROUND( SUM( A.VALOR ) ) INTO V_MONTO
                FROM WMS_PAGO_DOCUMENTOS A INNER JOIN WMS_DOCUMENTOS B ON A.DOCUMENTO = B.DOCUMENTO
                    INNER JOIN WMS_DOCUMENTOS C ON B.DOCUMENTO_PADRE = C.DOCUMENTO
            WHERE A.TIPO_PAGO = 6 AND C.JORNADA = pJORNADA AND WMS_F_FACTANUL(C.DOCUMENTO) <> 0;  

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;
            
            V_MONTO := NVL(V_MONTO, 0);
            
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '50' AND JORNADA = pJORNADA;
            
            UPDATE WMS_REGISTRO_CAJEROS SET DIFERENCIA = ROUND( NVL(TOTAL_SISTEMA, 0) - NVL(TOTAL_USUARIO, 0) , 2) WHERE RUBRO = '50' AND JORNADA = pJORNADA;
            
            -- ESTE RUBRO POR SER EDITABLE, Y TENER HABILITADO EL REGISTRO DE DIFERENCIAS, SE DEBE VERIFICAR QUE YA SE HAYA HECHO EL AJUSTE
            -- PARA NO VOLVERLO HACER, Y EVITAR DUPLICIDAD EN EL MONTO
            
            SELECT NVL(DIFERENCIA, 0) INTO V_MONTO FROM WMS_REGISTRO_CAJEROS WHERE RUBRO = '50' AND JORNADA = pJORNADA; 
            
            IF V_MONTO <> 0 THEN
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(NVL(TOTAL_USUARIO, 0) + 
                    ( NVL(AJUSTE, 0) * - 1 ), 2) WHERE RUBRO = '50' AND JORNADA = pJORNADA;               
            END IF;
             
            --  FIN NOTAS DE CREDITO  - DEVOLUCIONES APLICADAS --
            
            --  NOTAS DE CREDITO - DEVOLUCIONES EN EFECTIVO --

            SELECT ROUND( SUM( DECODE (CG_F_PARAMETER_VALUE ('MOJO'), 'MB', A.TOTAL, A.TOTAL / NVL (A.TASA_CAMBIO_MA, 1)) ) )
                INTO V_MONTO
            FROM   WMS_DOCUMENTOS A, WMS_SOCIOS B
            WHERE  A.TIPO_DOCUMENTO = 'D'
            AND    A.SOCIO = B.SOCIO
            AND    A.JORNADA = pJORNADA
            AND SUBTIPO_DOCUMENTO = 'D'
            AND    NVL (A.SITUACION, 1) <> 11;

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '51' AND JORNADA = pJORNADA; 
            
            UPDATE WMS_REGISTRO_CAJEROS SET DIFERENCIA = ROUND( NVL(TOTAL_SISTEMA, 0) - NVL(TOTAL_USUARIO, 0) , 2) WHERE RUBRO = '51' AND JORNADA = pJORNADA;
            
            -- ESTE RUBRO POR SER EDITABLE, Y TENER HABILITADO EL REGISTRO DE DIFERENCIAS, SE DEBE VERIFICAR QUE YA SE HAYA HECHO EL AJUSTE
            -- PARA NO VOLVERLO HACER, Y EVITAR DUPLICIDAD EN EL MONTO
            
            SELECT NVL(DIFERENCIA, 0) INTO V_MONTO FROM WMS_REGISTRO_CAJEROS WHERE RUBRO = '51' AND JORNADA = pJORNADA; 
            
            IF V_MONTO <> 0 THEN
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(NVL(TOTAL_USUARIO, 0) + 
                    ( NVL(AJUSTE, 0) * - 1 ), 2) WHERE RUBRO = '51' AND JORNADA = pJORNADA;               
            END IF;
            
            --  FIN NOTAS DE CREDITO  - DEVOLUCIONES EN EFECTIVO --
            
            --  NOTAS DE CREDITO - DEVOLUCIONES POR TRANSFERENCIA --

            SELECT ROUND( SUM( DECODE (CG_F_PARAMETER_VALUE ('MOJO'), 'MB', A.TOTAL, A.TOTAL / NVL (A.TASA_CAMBIO_MA, 1)) ) )
                INTO V_MONTO
            FROM   WMS_DOCUMENTOS A, WMS_SOCIOS B
            WHERE  A.TIPO_DOCUMENTO = 'D'
            AND    A.SOCIO = B.SOCIO
            AND    A.JORNADA = pJORNADA
            AND SUBTIPO_DOCUMENTO = 'R'
            AND    NVL (A.SITUACION, 1) <> 11;

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '85' AND JORNADA = pJORNADA; 
            
            UPDATE WMS_REGISTRO_CAJEROS SET DIFERENCIA = ROUND( NVL(TOTAL_SISTEMA, 0) - NVL(TOTAL_USUARIO, 0) , 2) WHERE RUBRO = '85' AND JORNADA = pJORNADA;
            
            -- ESTE RUBRO POR SER EDITABLE, Y TENER HABILITADO EL REGISTRO DE DIFERENCIAS, SE DEBE VERIFICAR QUE YA SE HAYA HECHO EL AJUSTE
            -- PARA NO VOLVERLO HACER, Y EVITAR DUPLICIDAD EN EL MONTO
            
            SELECT NVL(DIFERENCIA, 0) INTO V_MONTO FROM WMS_REGISTRO_CAJEROS WHERE RUBRO = '85' AND JORNADA = pJORNADA; 
            
            IF V_MONTO <> 0 THEN
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(NVL(TOTAL_USUARIO, 0) + 
                    ( NVL(AJUSTE, 0) * - 1 ), 2) WHERE RUBRO = '85' AND JORNADA = pJORNADA;               
            END IF;
            
            --  FIN NOTAS DE CREDITO  - DEVOLUCIONES POR TRANSFERENCIA --
            
            --  NOTAS DE CREDITO - FACTURAS RECHAZADAS --

            SELECT ROUND( SUM( DECODE (CG_F_PARAMETER_VALUE ('MOJO'), 'MB', A.TOTAL, A.TOTAL / NVL (A.TASA_CAMBIO_MA, 1)) ) )
                INTO V_MONTO
            FROM   WMS_DOCUMENTOS A, WMS_SOCIOS B
            WHERE  A.TIPO_DOCUMENTO = 'D'
            AND    A.SOCIO = B.SOCIO
            AND    A.JORNADA = pJORNADA
            AND SUBTIPO_DOCUMENTO = 'E'
            AND    NVL (A.SITUACION, 1) <> 11;

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '91' AND JORNADA = pJORNADA; 
            
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '91' AND JORNADA = pJORNADA; 
            
            --  FIN NOTAS DE CREDITO  - FACTURAS RECHAZADAS --
            
            --  NOTAS DE DEBITO --

            SELECT ROUND( SUM( DECODE (CG_F_PARAMETER_VALUE ('MOJO'), 'MB', A.TOTAL, A.TOTAL / NVL (A.TASA_CAMBIO_MA, 1)) ) )
                INTO V_MONTO
            FROM   WMS_DOCUMENTOS A, WMS_SOCIOS B
            WHERE  A.TIPO_DOCUMENTO = 'B'
            AND    A.SOCIO = B.SOCIO
            AND    A.JORNADA = pJORNADA
            AND    NVL (A.SITUACION, 1) <> 11;

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '92' AND JORNADA = pJORNADA; 
            
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '92' AND JORNADA = pJORNADA; 
            
            --  FIN NOTAS DE DEBITO --

            --  PUNTOS --

--            SELECT SUM( NVL( WMS_F_DESCPTS(DOCUMENTO), 1 ) ) INTO V_MONTO
--                FROM WMS_DOCUMENTOS WHERE TIPO_DOCUMENTO = 'F' AND JORNADA = pJORNADA;
            SELECT ROUND( POS_F_PUNTOS_JORNADACC(pJORNADA) ) INTO V_MONTO FROM DUAL;
            
            V_MONTO := ROUND(V_MONTO, 2);

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '42' AND JORNADA = pJORNADA; 

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '42' AND JORNADA = pJORNADA; 

            --  FIN PUNTOS --

            --  Q CARGA  --

            SELECT ROUND(  NVL(SUM(A.MONTO), 0) ) INTO V_MONTO FROM WMS_PAGUE_SERVICIOS A, WMS_DOCUMENTOS B
                WHERE A.DOCUMENTO = B.DOCUMENTO AND NVL(SITUACION, 3) <> 11 
            AND A.TIPO_SERVICIO = '01' AND B.JORNADA = pJORNADA AND A.PROVEEDOR = '03';

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '18' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '18' AND JORNADA = pJORNADA;

            --  FIN Q CARGA  --
            
            -- RECARGAS NICARAGUA COLON --
            SELECT ROUND(  NVL(SUM(PAGACON - NVL(VUELTO, 0) ),0) )  INTO V_MONTO FROM WMS_HABLAMAS_REQ 
                WHERE JORNADA = pJORNADA AND CODSTATE = 0 AND MONEDA = 1;
            
            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;
            
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '55' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '55' AND JORNADA = pJORNADA;
            
            -- FIN RECARGAS NICARAGUA COLON --
            
            -- RECARGAS NICARAGUA DOLAR --
            SELECT ROUND(  NVL(SUM(MONTODOL),0) )  INTO V_MONTO FROM WMS_HABLAMAS_REQ 
                WHERE JORNADA = pJORNADA AND CODSTATE = 0 AND MONEDA = 2;
            
            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;
            
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '44' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '44' AND JORNADA = pJORNADA; 
            
            -- FIN RECARGAS NICARAGUA DOLAR --
            
            -- WESTERNUNION(ENVIOS) COLONES --
            
            SELECT ROUND( NVL(SUM(PAGO_COL),0) ) INTO V_MONTO FROM WU_COMP_ENVIO WHERE JORNADA = pJORNADA;
                        
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '70' AND JORNADA = pJORNADA;
            
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '70' AND JORNADA = pJORNADA;
           
            -- FIN WESTERNUNION(ENVIOS) COLONES --
            
            
            -- WESTERNUNION(ENVIOS) DOLARES --
            
            SELECT ROUND( NVL(SUM(PAGO_DOL),0) ) INTO V_MONTO FROM WU_COMP_ENVIO WHERE JORNADA = pJORNADA;
                        
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '71' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '71' AND JORNADA = pJORNADA;
            
            -- FIN WESTERNUNION(ENVIOS) DOLARES --
            
            
            -- WESTERNUNION(PAGOS) COLONES --
             SELECT ROUND( NVL(SUM(MONTOORIGINALTRANSACCIONTL),0) ) INTO V_MONTO FROM WU_COMP_PAGO WHERE JORNADA = pJORNADA;
                        
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '39' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '39' AND JORNADA = pJORNADA; 
            
            -- FIN WESTERNUNION(PAGOS) COLONES --


            --  VALES  --

            --SELECT ROUND(  NVL(SUM(MONTO), 0) ) INTO V_MONTO FROM DOC_VALES 
            --    WHERE TIPO = 'D' AND BODEGA = V_BODEGA AND ESTADO IN ('E', 'C') AND JORNADA = pJORNADA;  --DLQG 090622 SE COMENTA
                
                 SELECT SUM(MONTO) INTO V_MONTO FROM (
                SELECT ROUND(  NVL(SUM(MONTO), 0) ) MONTO FROM DOC_VALES 
                WHERE TIPO = 'D' AND BODEGA = V_BODEGA  AND ESTADO IN ('C') AND JORNADA = pJORNADA
                UNION ALL
                SELECT ROUND(  NVL(SUM(MONTO), 0) ) MONTO  FROM DOC_VALES 
                WHERE TIPO = 'D' AND BODEGA = V_BODEGA AND ESTADO IN ('E') AND VALE_PADRE IS NULL AND JORNADA = pJORNADA
                );

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '11' AND JORNADA = pJORNADA;
            
            UPDATE WMS_REGISTRO_CAJEROS SET DIFERENCIA = ROUND( NVL(TOTAL_SISTEMA, 0) - NVL(TOTAL_USUARIO, 0) , 2) WHERE RUBRO = '11' AND JORNADA = pJORNADA;
            
            -- ESTE RUBRO POR SER EDITABLE, Y TENER HABILITADO EL REGISTRO DE DIFERENCIAS, SE DEBE VERIFICAR QUE YA SE HAYA HECHO EL AJUSTE
            -- PARA NO VOLVERLO HACER, Y EVITAR DUPLICIDAD EN EL MONTO
            
            SELECT NVL(DIFERENCIA, 0) INTO V_MONTO FROM WMS_REGISTRO_CAJEROS WHERE RUBRO = '11' AND JORNADA = pJORNADA; 
            
            IF V_MONTO <> 0 THEN
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(NVL(TOTAL_USUARIO, 0) + 
                    ( NVL(AJUSTE, 0) * - 1 ), 2) WHERE RUBRO = '11' AND JORNADA = pJORNADA;               
            END IF; 

            --  FIN VALES  --
            
            --  VALES POR RIFA --

            SELECT ROUND(  NVL(SUM(MONTO), 0) ) INTO V_MONTO FROM DOC_VALES 
                WHERE TIPO = 'R' AND BODEGA = V_BODEGA AND ESTADO IN ('E', 'C') AND JORNADA = pJORNADA;

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '56' AND JORNADA = pJORNADA;
            
            UPDATE WMS_REGISTRO_CAJEROS SET DIFERENCIA = ROUND( NVL(TOTAL_SISTEMA, 0) - NVL(TOTAL_USUARIO, 0) , 2) WHERE RUBRO = '56' AND JORNADA = pJORNADA;
            
            -- ESTE RUBRO POR SER EDITABLE, Y TENER HABILITADO EL REGISTRO DE DIFERENCIAS, SE DEBE VERIFICAR QUE YA SE HAYA HECHO EL AJUSTE
            -- PARA NO VOLVERLO HACER, Y EVITAR DUPLICIDAD EN EL MONTO
            
            SELECT NVL(DIFERENCIA, 0) INTO V_MONTO FROM WMS_REGISTRO_CAJEROS WHERE RUBRO = '56' AND JORNADA = pJORNADA; 
            
            IF V_MONTO <> 0 THEN
                UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(NVL(TOTAL_USUARIO, 0) + 
                    ( NVL(AJUSTE, 0) * - 1 ), 2) WHERE RUBRO = '56' AND JORNADA = pJORNADA;               
            END IF;

            --  FIN VALES POR RIFA --
            
            --  VENTAS EFECTIVO --

            SELECT ROUND( SUM(TOTAL) ) INTO V_MONTO FROM
            (
                SELECT ROUND( SUM(MONTO_COLONES) ) TOTAL
                    FROM WMS_V_DEPOSITOS WHERE JORNADA = PJORNADA
                /*SELECT NVL (SUM (C.VALOR), 0) TOTAL
                  FROM WMS_DOCUMENTOS A, WMS_PAGO_DOCUMENTOS C
                 WHERE A.DOCUMENTO = C.DOCUMENTO
                   AND A.TIPO_DOCUMENTO = 'R'
                   AND C.TIPO_PAGO = 3
                   AND NVL(A.SITUACION, 3) <> 11
                   AND WMS_F_FACTANUL( NVL(A.DOCUMENTO_PADRE, 1) ) <> 0
                   AND A.JORNADA = PJORNADA*/
                UNION ALL
                SELECT SUM(MONTO) * -1 TOTAL FROM WMS_V_BNSERVICIOS WHERE JORNADA = PJORNADA 
                UNION ALL
                SELECT SUM(MONTO) * -1 TOTAL FROM WMS_V_RECARGAS2 WHERE JORNADA = PJORNADA 
                UNION ALL
                SELECT SUM(R.PAGACON - R.VUELTO) * -1 TOTAL 
                        FROM WMS_HABLAMAS_REQ R , WMS_PAGUE_SERVICIOS S, WMS_DOCUMENTOS D
                        WHERE R.JORNADA = PJORNADA AND R.CODSTATE = 0 and R.Moneda = 1 AND D.DOCUMENTO = S.DOCUMENTO
                        AND S.TIPO_SERVICIO = '04' AND S.TRANS_PROVEEDOR = R.ID
                UNION ALL            
                SELECT SUM(A.MONTO) * -1 TOTAL FROM WMS_V_PAGOSCREDITO A WHERE A.JORNADA = PJORNADA
                UNION ALL
                SELECT SUM(A.MONTO * - 1) TOTAL FROM WMS_CAJACHICA A WHERE A.JORNADA = PJORNADA AND A.ANULADO_EL IS NULL
                UNION ALL-- DEVOLUCIONES EN EFECTIVO
                SELECT (DECODE (CG_F_PARAMETER_VALUE ('MOJO'), 'MB', A.TOTAL, A.TOTAL / NVL (A.TASA_CAMBIO_MA, 1)) * -1) TOTAL
                FROM   WMS_DOCUMENTOS A, WMS_SOCIOS B
                WHERE  A.TIPO_DOCUMENTO = 'D'
                AND    A.SOCIO = B.SOCIO
                AND    A.JORNADA IN (PJORNADA)
                AND A.SUBTIPO_DOCUMENTO = 'D'
                AND    NVL (A.SITUACION, 1) <> 11
                UNION ALL
                SELECT SUM( (C.PAGADO - C.VALOR) *-1 ) TOTAL 
                    FROM   WMS_DOCUMENTOS A, WMS_SOCIOS B, WMS_PAGO_DOCUMENTOS C, DOC_ABONO_DOCUMENTOS D, WMS_DOCUMENTOS E
                    WHERE  A.TIPO_DOCUMENTO = 'R'
                    AND   A.DOCUMENTO = C.DOCUMENTO
                    AND   C.MONEDA = WMS_F_MONEDA_ALTERNA 
                    AND  C.TIPO_PAGO = '3'
                    AND    A.SOCIO = B.SOCIO(+)
                    AND    A.JORNADA IN ( PJORNADA )
                    AND    NVL (A.SITUACION, 1) <> 11
                    AND   D.RECIBO = A.DOCUMENTO
                    AND   D.DOCUMENTO = E.DOCUMENTO
                    AND   NVL(E.FECHA_VENCIMIENTO,E.FECHA_EMISION) =  NVL(E.FECHA_EMISION, SYSDATE)
                    AND   WMS_F_FACTANUL(NVL(E.DOCUMENTO, 1)) <> 0     
                UNION ALL
                SELECT SUM( (A.PAGADO - A.VALOR) * -1 ) MONTO
                    FROM WMS_PAGO_DOCUMENTOS A INNER JOIN WMS_DOCUMENTOS B
                        ON B.DOCUMENTO_PADRE IS NULL AND A.DOCUMENTO = B.DOCUMENTO
                    --WHERE A.TIPO_PAGO = 3 AND NVL(SITUACION, 3) <> 11 AND A.MONEDA = WMS_F_MONEDA_ALTERNA --ACC 01122020
                    WHERE A.TIPO_PAGO = 3 AND NVL(SITUACION, 3) <> 11 AND A.MONEDA IN (WMS_F_MONEDA_ALTERNA,8)
                        AND NVL (B.FECHA_VENCIMIENTO, B.FECHA_EMISION) =
                                                                NVL (B.FECHA_EMISION, SYSDATE)
                   AND B.JORNADA = PJORNADA                   
                UNION ALL         
                SELECT SUM(R.VUELTO * -1) TOTAL 
                    FROM WMS_HABLAMAS_REQ R , WMS_PAGUE_SERVICIOS S, WMS_DOCUMENTOS D
                WHERE R.JORNADA = PJORNADA AND R.CODSTATE = 0 and R.Moneda = 2 AND D.DOCUMENTO = S.DOCUMENTO
                    AND S.TIPO_SERVICIO = '04' AND S.TRANS_PROVEEDOR = R.ID  
                UNION ALL
                SELECT (SUM(A.VALOR) * -1) TOTAL
                 FROM WMS_PAGO_DOCUMENTOS A INNER JOIN WMS_DOCUMENTOS B
                      ON A.DOCUMENTO = B.DOCUMENTO
                      INNER JOIN AM_RECIBO_IN C ON B.DOCUMENTO_PADRE = C.DOCUMENTO
                WHERE A.TIPO_PAGO = 3 AND JORNADA = PJORNADA
                  AND NVL (SITUACION, 3) <> 11   
            );        

            /*IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;*/

            V_MONTO := NVL(V_MONTO, 0);

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '62' AND JORNADA = pJORNADA; 
            
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '62' AND JORNADA = pJORNADA;

            --  FIN VENTAS EFECTIVO  --  

            --  VENTAS MANUALES  --

            SELECT ROUND(DECODE(SUM(B.CANTIDAD * ( B.PRECIO_UNITARIO - B.DESCUENTO + B.IMPUESTO ) ), NULL, 0, 
                    SUM( B.CANTIDAD * ( B.PRECIO_UNITARIO - B.DESCUENTO + B.IMPUESTO ) ) ), 2 ) 
                INTO V_MONTO 
            FROM WMS_DOCUMENTOS A INNER JOIN WMS_SKUS_X_DOCUMENTO B ON A.DOCUMENTO = B.DOCUMENTO WHERE A.TIPO_DOCUMENTO IN ('F')
                AND B.FECHA_ANULACION IS NULL AND A.JORNADA = pJORNADA AND A.SERIE NOT IN
            (SELECT SERIE FROM WMS_FACTURAS_CAJA WHERE TIPO_DOCUMENTO = 'FA')
            -- NO TOMA EN CUENTA LAS FACTURAS CREADAS POR RECHAZO DE LAS ORIGINALES
            AND A.DOCUMENTO NOT IN (SELECT NDOCUMENTO FROM FE_LIGUE_DOCUMENTOS WHERE NDOCUMENTO = A.DOCUMENTO AND  CLIGADO = 'X') ;

            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '33' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '33' AND JORNADA = pJORNADA; 

            --  FIN VENTAS MANUALES  --
            
                  --MEMBRESIA VENTA Y RENOVACION--
              SELECT   SUM (total)
              INTO   V_MONTO
              FROM   ( --membresia venta y renovacion 04032021 Richard Vargas M
                      SELECT   ROUND (
                                  NVL (
                                     SUM (
                                        (NVL (precio_unitario, 0) * cantidad) - (NVL (descuento, 0) * cantidad)
                                     ),
                                     0
                                  ),
                                  2
                               )            
                                  total
                        FROM   wms_skus_x_documento a, sr3_v_ventas_contado b
                       WHERE       a.documento = b.documento
                               AND a.usuario_anulo IS NULL
                               AND NVL (a.impuesto, 0) = 0
                               AND a.sku in(  cg_f_parameter_value ('MPLS'),cg_f_parameter_value ('RPLS'))
                               AND b.JORNADA = pJORNADA --membresia venta y renovacion 04032021 Richard Vargas M 
                      );   
            
             IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '104' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '104' AND JORNADA = pJORNADA; 
            --FIN MEMBRESIA VENTA Y RENOVACION--
           
            --MEMBRESIA REEMPLAZO TARJETA--
            SELECT   SUM (total)
              INTO   V_MONTO
              FROM   ( --membresia reemplazo de tarjeta 04032021 Richard Vargas M  i
                      SELECT   ROUND (
                                  NVL (
                                     SUM (
                                       (NVL (precio_unitario, 0) * cantidad) - (NVL (descuento, 0) * cantidad)
                                     ),
                                     0
                                  ),
                                  2
                               )            
                                  total
                        FROM   wms_skus_x_documento a, sr3_v_ventas_contado b
                       WHERE       a.documento = b.documento
                               AND a.usuario_anulo IS NULL
                               AND NVL (a.impuesto, 0) = 0
                               AND a.sku in(cg_f_parameter_value('TPLS'))
                               AND b.JORNADA = pJORNADA);
                               
             IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '105' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '105' AND JORNADA = pJORNADA; 
            --FIN MEMBRESIA REEMPLAZO TARJETA--
            
            
            --SINPE MOVIL--
            SELECT   SUM (total)
              INTO   V_MONTO
              FROM   ( --SINPE MOVIL  22062021 RVM
                      SELECT   ROUND ( MONTO,2) total
                        FROM   WMS_V_PAGO_SINPEMOVIL 
                       WHERE       JORNADA = pJORNADA AND CODIGO_RESP = 0 AND ESTADO = 'A');
                               
             IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '106' AND JORNADA = pJORNADA;

            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '106' AND JORNADA = pJORNADA; 
            --FIN SINPE MOVIL--
            
            -- ZUNIFY --
            SELECT   SUM(DECODE (Cg_F_Parameter_Value ('MOJO'),
                                         'MB', c.valor,
                                         c.valor / NVL (a.tasa_cambio_ma, 1)))
                      INTO   V_MONTO
                      FROM   WMS_DOCUMENTOS a, wms_pago_documentos c
                     WHERE       a.tipo_documento = 'R'
                             AND A.DOCUMENTO = C.DOCUMENTO
                             AND C.TIPO_PAGO = '40'
                             AND a.jornada IN (pJORNADA)  ;   
                       
                               
            IF V_MONTO < 0 THEN
                V_MONTO := V_MONTO * -1;
            END IF;
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_SISTEMA = ROUND(V_MONTO, 2) WHERE RUBRO = '113' AND JORNADA = pJORNADA;
            UPDATE WMS_REGISTRO_CAJEROS SET TOTAL_USUARIO = ROUND(V_MONTO, 2) WHERE RUBRO = '113' AND JORNADA = pJORNADA; 
            -- FIN ZUNIFY --
            
            

        END IF;
    END IF;
    
    EXCEPTION WHEN OTHERS THEN
        RAISE_APPLICATION_ERROR(-20000, DBMS_UTILITY.FORMAT_ERROR_STACK || 
            DBMS_UTILITY.FORMAT_ERROR_BACKTRACE);    
    
        ROLLBACK;
END;
/
